-- phpMyAdmin SQL Dump
-- version 4.0.10.7
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Nov 04, 2015 at 01:43 PM
-- Server version: 5.5.45-cll
-- PHP Version: 5.4.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `catibb_1`
--

-- --------------------------------------------------------

--
-- Table structure for table `answers`
--

CREATE TABLE IF NOT EXISTS `answers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `surveys_id` int(11) NOT NULL,
  `question_id` int(11) NOT NULL,
  `choice_id` int(11) DEFAULT NULL,
  `answer` text,
  `comment` text COMMENT 'Comments by interviewed party',
  PRIMARY KEY (`id`),
  KEY `fk_answers_question1_idx` (`question_id`),
  KEY `fk_answers_choice1_idx` (`choice_id`),
  KEY `fk_answers_surveys1_idx` (`surveys_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

-- --------------------------------------------------------

--
-- Table structure for table `choice`
--

CREATE TABLE IF NOT EXISTS `choice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question_id` int(11) NOT NULL,
  `position` smallint(5) unsigned NOT NULL COMMENT 'define "last position" as largest TinyInt\nposition of choice in question\ndoes not apply when question.random is selected',
  `choice1` varchar(255) NOT NULL,
  `choice2` varchar(255) DEFAULT NULL,
  `choice3` varchar(255) DEFAULT NULL,
  `label1` varchar(45) DEFAULT NULL COMMENT 'label a choice (present the choice with alternate text)',
  `label2` varchar(255) DEFAULT NULL,
  `label3` varchar(255) DEFAULT NULL,
  `media` varchar(45) DEFAULT NULL COMMENT 'image/video',
  `other` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Is this choice entered by agent?',
  PRIMARY KEY (`id`),
  KEY `fk_choice_question1_idx` (`question_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=776 ;

-- --------------------------------------------------------

--
-- Table structure for table `condition`
--

CREATE TABLE IF NOT EXISTS `condition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filter_id` int(11) NOT NULL COMMENT 'If condition',
  `negate` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Negate the rule or rule group',
  `key` enum('question','age','date of birth','gender','postcode','location','municipality','region','country','language') DEFAULT NULL,
  `compare` enum('select','equal','not equal','less','less or equal','greater','greater or equal','contains','begins with','ends with','empty','not empty') NOT NULL,
  `value` varchar(45) DEFAULT NULL,
  `question_id` int(11) DEFAULT NULL,
  `choice_id` int(11) DEFAULT NULL,
  `municipality_id` int(11) DEFAULT NULL,
  `region_id` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `language_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_skip_rule_question1_idx` (`question_id`),
  KEY `fk_skip_rule_choice1_idx` (`choice_id`),
  KEY `fk_filters_municipality1_idx` (`municipality_id`),
  KEY `fk_filters_region1_idx` (`region_id`),
  KEY `fk_filters_country1_idx` (`country_id`),
  KEY `fk_filters_language1_idx` (`language_id`),
  KEY `fk_condition_filter1_idx` (`filter_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=37 ;

-- --------------------------------------------------------

--
-- Table structure for table `contact`
--

CREATE TABLE IF NOT EXISTS `contact` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `phone` varchar(15) NOT NULL COMMENT 'phone numnber',
  `mobile` varchar(15) DEFAULT NULL COMMENT 'mobile phone number',
  `name` varchar(255) DEFAULT NULL COMMENT 'First Name',
  `surname` varchar(255) DEFAULT NULL COMMENT 'Last Name',
  `gender` enum('male','female') DEFAULT NULL,
  `birthday` date DEFAULT NULL COMMENT 'if birthday is give, age can be automatically calculated',
  `company` varchar(255) DEFAULT NULL COMMENT 'Company the contact works for\n',
  `profession` varchar(255) DEFAULT NULL,
  `occupation` varchar(255) DEFAULT NULL,
  `qualification` varchar(255) DEFAULT NULL COMMENT 'Level of education. We probably need to change this to ENUM',
  `email` varchar(255) DEFAULT NULL COMMENT 'e-mail address',
  `web` varchar(255) DEFAULT NULL COMMENT 'website',
  `skype` varchar(45) DEFAULT NULL,
  `facebook` varchar(45) DEFAULT NULL,
  `linkedin` varchar(45) DEFAULT NULL,
  `note` text,
  `location_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `number_UNIQUE` (`phone`),
  KEY `fk_contact_location1_idx` (`location_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=98 ;

-- --------------------------------------------------------

--
-- Table structure for table `country`
--

CREATE TABLE IF NOT EXISTS `country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `country_UNIQUE` (`country`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `country`
--

INSERT INTO `country` (`id`, `country`) VALUES
(1, 'Македонија');

-- --------------------------------------------------------

--
-- Table structure for table `denied`
--

CREATE TABLE IF NOT EXISTS `denied` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reason1` varchar(255) NOT NULL COMMENT 'Deny Reason',
  `reason2` varchar(255) DEFAULT NULL,
  `reason3` varchar(255) DEFAULT NULL,
  `survey_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_denied_survey1_idx` (`survey_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `denied`
--

INSERT INTO `denied` (`id`, `reason1`, `reason2`, `reason3`, `survey_id`) VALUES
(1, 'reason1', 'pricina1', '', NULL),
(2, 'p3', '', '', NULL),
(4, 'sss', '', '', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `filter`
--

CREATE TABLE IF NOT EXISTS `filter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `quota_id` int(11) DEFAULT NULL,
  `skip_id` int(11) DEFAULT NULL,
  `hide_id` int(11) DEFAULT NULL,
  `operator` enum('and','or') DEFAULT NULL COMMENT 'Logical Operator used for testing Conditions',
  `group` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Filter conditions can be grouped together and nested, by assigning a parent.\nBy default, all filter conditions are in group 0 (not grouped)',
  `parent` int(11) DEFAULT NULL COMMENT 'Filter conditions can be grouped together and nested, by assigning a parent.\nBy default, all filter conditions are in group 0 (not grouped)',
  PRIMARY KEY (`id`),
  KEY `fk_filter_quota1_idx` (`quota_id`),
  KEY `fk_filter_skip1_idx` (`skip_id`),
  KEY `fk_filter_hide1_idx` (`hide_id`),
  KEY `fk_filter_filter1_idx` (`parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=45 ;

-- --------------------------------------------------------

--
-- Table structure for table `grid`
--

CREATE TABLE IF NOT EXISTS `grid` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `grid` varchar(255) DEFAULT NULL COMMENT 'Grid Name',
  `type` enum('single-select','multi-select','text') NOT NULL COMMENT 'ENUM(''single-select'',''multi-select'',''text'')',
  `randomize` enum('questions','choices','both','none') NOT NULL DEFAULT 'none' COMMENT 'Randomise the order of questions, choices or both',
  `other` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Allow agent to add choice (text input) aka "other" field. \n0=no\n1=number(of fields, NOTE: only for question.type=single)\n1+N=number (of fields, NOTE: only for question.type=multi)',
  `other_show` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'List "other" choices in the question?\nuse choices.other boolean to show/hide',
  `refuse` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Add "Refuse to answer" choice at position (code) 98',
  `dkna` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Add "Don''t Know / No Answer" choice at position(code) 99',
  `mandatory` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Is this question mandatory?\nIf not mandatory, show "Skip" button to Agent',
  `invert_display` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Invert rows and columns on the grid/group display',
  `gender` enum('male','female','any') NOT NULL DEFAULT 'any' COMMENT '	',
  `age_from` smallint(5) unsigned DEFAULT NULL,
  `age_to` smallint(5) unsigned DEFAULT NULL,
  `comments` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Allow interviewed party to leave comments (comment field in answers table)',
  `survey_id` int(11) NOT NULL,
  `label` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_grid_item1_idx` (`item_id`),
  KEY `survey_id` (`survey_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=43 ;

-- --------------------------------------------------------

--
-- Table structure for table `hide`
--

CREATE TABLE IF NOT EXISTS `hide` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `choice_id` int(11) NOT NULL,
  `display` enum('hide','disable') DEFAULT NULL COMMENT 'Hide or Disable the Choice',
  PRIMARY KEY (`id`),
  KEY `fk_hide_choice1_idx` (`choice_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `item`
--

CREATE TABLE IF NOT EXISTS `item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `row` smallint(6) DEFAULT NULL,
  `column` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_item_page1_idx` (`page_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=116 ;

-- --------------------------------------------------------

--
-- Table structure for table `language`
--

CREATE TABLE IF NOT EXISTS `language` (
  `id` int(11) NOT NULL,
  `code` varchar(2) DEFAULT NULL COMMENT 'Language short-code, example: EN, MK, SQ',
  `language` varchar(45) DEFAULT NULL COMMENT 'Language, example: English, Македонски, Shqip',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `language`
--

INSERT INTO `language` (`id`, `code`, `language`) VALUES
(1, 'MK', 'Македонски'),
(2, 'EN', 'English'),
(3, 'AL', 'Albanian');

-- --------------------------------------------------------

--
-- Table structure for table `location`
--

CREATE TABLE IF NOT EXISTS `location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zip` varchar(45) DEFAULT NULL COMMENT 'ZIP Code',
  `location` varchar(45) NOT NULL COMMENT 'City or Village',
  `area` enum('urban','rural') NOT NULL COMMENT 'Urban or Rural',
  `country_id` int(11) NOT NULL,
  `municipality_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_location_country1_idx` (`country_id`),
  KEY `fk_location_municipality1_idx` (`municipality_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1817 ;

--
-- Dumping data for table `location`
--

INSERT INTO `location` (`id`, `zip`, `location`, `area`, `country_id`, `municipality_id`) VALUES
(5, '1322', 'АГИНО СЕЛО', 'urban', 1, 64),
(6, '1041', 'АЈВАТОВЦИ', 'urban', 1, 74),
(7, '2461', 'АЈРАНЛИ', 'urban', 1, 36),
(8, '2220', 'АЛАКИНЦЕ', 'urban', 1, 8),
(9, '1325', 'АЛАШЕВЦЕ', 'urban', 1, 65),
(10, '1303', 'АЛГУЊА', 'urban', 1, 67),
(11, '7524', 'АЛДАНЦИ', 'urban', 1, 48),
(12, '1050', 'АЛДИНЦИ', 'urban', 1, 80),
(13, '2420', 'АЛИ КОЧ', 'urban', 1, 42),
(14, '2420', 'АЛИ ЛОБАСИ', 'urban', 1, 42),
(15, '7512', 'АЛИНЦИ', 'urban', 1, 51),
(16, '7215', 'АЛИНЦИ', 'urban', 1, 49),
(17, '1303', 'АЉИНЦЕ', 'urban', 1, 67),
(18, '2227', 'АМЗАБЕГОВО', 'urban', 1, 8),
(19, '2411', 'АНГЕЛЦИ', 'urban', 1, 37),
(20, '2461', 'АРАЗЛИ', 'urban', 1, 36),
(21, '6254', 'АРАНГЕЛ', 'urban', 1, 29),
(22, '1046', 'АРАЧИНОВО', 'urban', 1, 69),
(23, '1302', 'АРБАНАШКО', 'urban', 1, 67),
(24, '2225', 'АРБАСАНЦИ', 'urban', 1, 8),
(25, '6346', 'АРБИНОВО', 'urban', 1, 24),
(26, '7317', 'АРВАТИ', 'urban', 1, 52),
(27, '2207', 'АРГУЛИЦА', 'urban', 1, 14),
(28, '7550', 'АРИЛЕВО', 'urban', 1, 48),
(29, '7212', 'АРМАТУШ', 'urban', 1, 50),
(30, '1063', 'АРНАКИЈА', 'urban', 1, 78),
(31, '7316', 'АСАМАТИ', 'urban', 1, 52),
(32, '1485', 'АСАНЛИ', 'urban', 1, 39),
(33, '6258', 'АТИШТА', 'urban', 1, 22),
(34, '2227', 'АЏИБЕГОВО', 'urban', 1, 5),
(35, '1254', 'АЏИЕВЦИ', 'urban', 1, 59),
(36, '2227', 'АЏИМАТОВО', 'urban', 1, 5),
(37, '7244', 'БАБИНО', 'urban', 1, 45),
(38, '1406', 'БАБУНА', 'urban', 1, 1),
(39, '1044', 'БАДАР', 'urban', 1, 77),
(40, '2434', 'БАДОЛЕН', 'urban', 1, 41),
(41, '7244', 'БАЗЕРНИК', 'urban', 1, 45),
(42, '2434', 'БАЈКОВО', 'urban', 1, 41),
(43, '1302', 'БАЈЛОВЦЕ', 'urban', 1, 67),
(44, '2461', 'БАЈРАМБОС', 'urban', 1, 36),
(45, '1258', 'БАЈРАМОВЦИ', 'urban', 1, 33),
(46, '1258', 'БАЛАНЦИ', 'urban', 1, 33),
(47, '7211', 'БАЛДОВЕНЦИ', 'urban', 1, 50),
(48, '1230', 'БАЛИН ДОЛ', 'urban', 1, 56),
(49, '2460', 'БАЛИНЦИ', 'urban', 1, 36),
(50, '2000', 'БАЛТАЛИЈА', 'urban', 1, 20),
(51, '2400', 'БАНИЦА', 'urban', 1, 43),
(52, '1250', 'БАНИШТЕ', 'urban', 1, 23),
(53, '2432', 'БАНСКО', 'urban', 1, 43),
(54, '2333', 'БАЊА', 'urban', 1, 19),
(55, '1011', 'БАЊАНЕ', 'urban', 1, 83),
(56, '1413', 'БАЊИЦА', 'urban', 1, 9),
(57, '2460', 'БАРАКЛИ', 'urban', 1, 36),
(58, '7240', 'БАРАКОВО', 'urban', 1, 45),
(59, '1332', 'БАРАТЛИЈА', 'urban', 1, 66),
(60, '2434', 'БАРБАРЕВО', 'urban', 1, 41),
(61, '1060', 'БАРДОВЦИ', 'urban', 1, 75),
(62, '7221', 'БАРЕШАНИ', 'urban', 1, 44),
(63, '1054', 'БАРОВО', 'urban', 1, 79),
(64, '1437', 'БАРОВО', 'urban', 1, 3),
(65, '2000', 'БАТАЊЕ', 'urban', 1, 14),
(66, '1050', 'БАТИНЦИ', 'urban', 1, 80),
(67, '7225', 'БАЧ', 'urban', 1, 50),
(68, '6257', 'БАЧИШТА', 'urban', 1, 26),
(69, '2461', 'БАШАЛИ', 'urban', 1, 36),
(70, '2461', 'БАШИБОС', 'urban', 1, 36),
(71, '1406', 'БАШИНО СЕЛО', 'urban', 1, 1),
(72, '1333', 'БАШТЕВО', 'urban', 1, 63),
(73, '1434', 'БЕГНИШТЕ', 'urban', 1, 4),
(74, '1300', 'БЕДИЊЕ', 'urban', 1, 64),
(75, '2300', 'БЕЗИКОВО', 'urban', 1, 15),
(76, '6337', 'БЕЗОВО', 'urban', 1, 32),
(77, '2208', 'БЕКИРЛИЈА', 'urban', 1, 5),
(78, '7525', 'БЕЛА ЦРКВА', 'urban', 1, 47),
(79, '1325', 'БЕЛАНОВЦЕ', 'urban', 1, 65),
(80, '1408', 'БЕЛЕШТЕВИЦА', 'urban', 1, 1),
(81, '2300', 'БЕЛИ', 'urban', 1, 15),
(82, '6255', 'БЕЛИЦА', 'urban', 1, 25),
(83, '6533', 'БЕЛИЦА', 'urban', 1, 28),
(84, '1256', 'БЕЛИЧИЦА', 'urban', 1, 59),
(85, '7504', 'БЕЛО ПОЛЕ', 'urban', 1, 46),
(86, '1225', 'БЕЛОВИШТЕ', 'urban', 1, 58),
(87, '1230', 'БЕЛОВИШТЕ', 'urban', 1, 56),
(88, '7501', 'БЕЛОВОДИЦА', 'urban', 1, 51),
(89, '2413', 'БЕЛОТИНО', 'urban', 1, 43),
(90, '7507', 'БЕЛУШИНО', 'urban', 1, 48),
(91, '7240', 'БЕЛЧЕ', 'urban', 1, 45),
(92, '6344', 'БЕЛЧИШТА', 'urban', 1, 24),
(93, '1304', 'БЕЉАКОВЦЕ', 'urban', 1, 64),
(94, '6535', 'БЕНЧЕ', 'urban', 1, 28),
(95, '7245', 'БЕРАНЦИ', 'urban', 1, 49),
(96, '6254', 'БЕРИКОВО', 'urban', 1, 29),
(97, '2330', 'БЕРОВО', 'urban', 1, 10),
(98, '7501', 'БЕРОВЦИ', 'urban', 1, 51),
(99, '1442', 'БЕСВИЦА', 'urban', 1, 3),
(100, '7508', 'БЕШИШТЕ', 'urban', 1, 51),
(101, '1256', 'БИБАЈ', 'urban', 1, 59),
(102, '2320', 'БИГЛА', 'urban', 1, 12),
(103, '6258', 'БИГОР ДОЛЕНЦИ', 'urban', 1, 22),
(104, '7211', 'БИЉАНИК', 'urban', 1, 50),
(105, '1300', 'БИЉАНОВЦЕ', 'urban', 1, 64),
(106, '7507', 'БИРИНО', 'urban', 1, 48),
(107, '1442', 'БИСТРЕНЦИ', 'urban', 1, 3),
(108, '7221', 'БИСТРИЦА', 'urban', 1, 44),
(109, '1415', 'БИСТРИЦА', 'urban', 1, 9),
(110, '6535', 'БИТОВО', 'urban', 1, 28),
(111, '7000', 'БИТОЛА', 'urban', 1, 44),
(112, '1254', 'БИТУШЕ', 'urban', 1, 59),
(113, '6330', 'БИЏЕВО', 'urban', 1, 32),
(114, '2314', 'БЛАТЕЦ', 'urban', 1, 11),
(115, '1061', 'БЛАЦЕ', 'urban', 1, 83),
(116, '1044', 'БЛАЦЕ', 'urban', 1, 77),
(117, '1227', 'БЛАЦЕ', 'urban', 1, 54),
(118, '6535', 'БЛИЗАНСКО', 'urban', 1, 28),
(119, '1360', 'БЛИЗАНЦИ', 'urban', 1, 62),
(120, '1484', 'БОГДАНЦИ', 'urban', 1, 34),
(121, '1256', 'БОГДЕВО', 'urban', 1, 59),
(122, '1220', 'БОГОВИЊЕ', 'urban', 1, 53),
(123, '6338', 'БОГОЈЦИ', 'urban', 1, 32),
(124, '1415', 'БОГОМИЛА', 'urban', 1, 9),
(125, '1488', 'БОГОРОДИЦА', 'urban', 1, 38),
(126, '2227', 'БОГОСЛОВЕЦ', 'urban', 1, 8),
(127, '1217', 'БОЗОВЦЕ', 'urban', 1, 61),
(128, '7202', 'БОИШТЕ', 'urban', 1, 45),
(129, '1063', 'БОЈАНЕ', 'urban', 1, 78),
(130, '1437', 'БОЈАНЧИШТЕ', 'urban', 1, 4),
(131, '1255', 'БОЛЕТИН', 'urban', 1, 59),
(132, '7310', 'БОЛНО', 'urban', 1, 52),
(133, '1250', 'БОМОВО', 'urban', 1, 23),
(134, '7514', 'БОНЧЕ', 'urban', 1, 51),
(135, '2433', 'БОРИЕВО', 'urban', 1, 35),
(136, '7550', 'БОРИНО', 'urban', 1, 48),
(137, '2435', 'БОРИСОВО', 'urban', 1, 41),
(138, '1333', 'БОРОВО', 'urban', 1, 63),
(139, '6336', 'БОРОЕЦ', 'urban', 1, 32),
(140, '7525', 'БОРОТИНО', 'urban', 1, 47),
(141, '2431', 'БОСИЛОВО', 'urban', 1, 35),
(142, '6344', 'БОТУН', 'urban', 1, 24),
(143, '1437', 'БОХУЛА', 'urban', 1, 4),
(144, '1011', 'БРАЗДА', 'urban', 1, 83),
(145, '7505', 'БРАИЛОВО', 'urban', 1, 46),
(146, '2460', 'БРАЈКОВЦИ', 'urban', 1, 36),
(147, '7318', 'БРАЈЧИНО', 'urban', 1, 52),
(148, '7205', 'БРАТИН ДОЛ', 'urban', 1, 44),
(149, '1216', 'БРВЕНИЦА', 'urban', 1, 54),
(150, '6344', 'БРЕЖАНИ', 'urban', 1, 24),
(151, '1044', 'БРЕЗНИЦА', 'urban', 1, 77),
(152, '6533', 'БРЕЗНИЦА', 'urban', 1, 28),
(153, '1224', 'БРЕЗНО', 'urban', 1, 60),
(154, '7244', 'БРЕЗОВО', 'urban', 1, 45),
(155, '1011', 'БРЕСТ', 'urban', 1, 83),
(156, '2000', 'БРЕСТ', 'urban', 1, 20),
(157, '6535', 'БРЕСТ', 'urban', 1, 28),
(158, '1302', 'БРЕШКО', 'urban', 1, 67),
(159, '1258', 'БРЕШТАНИ', 'urban', 1, 33),
(160, '6255', 'БРЖДАНИ', 'urban', 1, 25),
(161, '1322', 'БРЗАК', 'urban', 1, 64),
(162, '7213', 'БРНИК', 'urban', 1, 50),
(163, '1045', 'БРЊАРЦИ', 'urban', 1, 71),
(164, '7225', 'БРОД', 'urban', 1, 50),
(165, '1256', 'БРОДЕЦ', 'urban', 1, 56),
(166, '1217', 'БРОДЕЦ', 'urban', 1, 61),
(167, '1011', 'БРОДЕЦ', 'urban', 1, 83),
(168, '1258', 'БРОШТИЦА', 'urban', 1, 33),
(169, '1441', 'БРУСНИК', 'urban', 1, 6),
(170, '7205', 'БРУСНИК', 'urban', 1, 44),
(171, '1430', 'БРУШАНИ', 'urban', 1, 4),
(172, '6338', 'БРЧЕВО', 'urban', 1, 32),
(173, '1330', 'Б`С', 'urban', 1, 63),
(174, '7212', 'БУДАКОВО', 'urban', 1, 49),
(175, '7214', 'БУДИМИРЦИ', 'urban', 1, 50),
(176, '2332', 'БУДИНАРЦИ', 'urban', 1, 10),
(177, '1408', 'БУЗАЛКОВО', 'urban', 1, 1),
(178, '1042', 'БУЈКОВЦИ', 'urban', 1, 74),
(179, '1063', 'БУКОВИЌ', 'urban', 1, 78),
(180, '1302', 'БУКОВЉАНЕ', 'urban', 1, 67),
(181, '7000', 'БУКОВО', 'urban', 1, 44),
(182, '6253', 'БУКОЈЧАНИ', 'urban', 1, 26),
(183, '1046', 'БУЛАЧАНИ', 'urban', 1, 71),
(184, '2461', 'БУЛУНТУЛИ', 'urban', 1, 36),
(185, '1437', 'БУНАРЧЕ', 'urban', 1, 4),
(186, '1041', 'БУНАРЏИК', 'urban', 1, 74),
(187, '2212', 'БУНЕШ', 'urban', 1, 18),
(188, '2225', 'БУРИЛОВЦИ', 'urban', 1, 8),
(189, '2333', 'БУРИЛЧЕВО', 'urban', 1, 19),
(190, '6337', 'БУРИНЕЦ', 'urban', 1, 32),
(191, '1413', 'БУСИЛЦИ', 'urban', 1, 9),
(192, '1010', 'БУТЕЛ', 'urban', 1, 70),
(193, '2420', 'БУЧИМ', 'urban', 1, 42),
(194, '7525', 'БУЧИН', 'urban', 1, 48),
(195, '1042', 'БУЧИНЦИ', 'urban', 1, 74),
(196, '2210', 'БУЧИШТЕ', 'urban', 1, 18),
(197, '1323', 'ВАКВ', 'urban', 1, 64),
(198, '1324', 'ВАКСИНЦЕ', 'urban', 1, 65),
(199, '1360', 'ВАКУФ', 'urban', 1, 62),
(200, '2461', 'ВАЛАНДОВО', 'urban', 1, 36),
(201, '6306', 'ВАПИЛА', 'urban', 1, 30),
(202, '1200', 'ВАРВАРА', 'urban', 1, 60),
(203, '2414', 'ВАРВАРИЦА', 'urban', 1, 37),
(204, '7240', 'ВАРДИНО', 'urban', 1, 45),
(205, '1330', 'ВАРОВИШТЕ', 'urban', 1, 63),
(206, '7501', 'ВАРОШ', 'urban', 1, 51),
(207, '2411', 'ВАСИЛЕВО', 'urban', 1, 37),
(208, '1430', 'ВАТАША', 'urban', 1, 4),
(209, '7245', 'ВАШАРЕЈЦА', 'urban', 1, 49),
(210, '6335', 'ВЕВЧАНИ', 'urban', 1, 21),
(211, '2461', 'ВЕЈСЕЛИ', 'urban', 1, 36),
(212, '1200', 'ВЕЈЦЕ', 'urban', 1, 61),
(213, '6000', 'ВЕЛГОШТИ', 'urban', 1, 30),
(214, '1254', 'ВЕЛЕБРДО', 'urban', 1, 59),
(215, '1400', 'ВЕЛЕС', 'urban', 1, 1),
(216, '7225', 'ВЕЛЕСЕЛО', 'urban', 1, 50),
(217, '6000', 'ВЕЛЕСТОВО', 'urban', 1, 30),
(218, '6334', 'ВЕЛЕШТА', 'urban', 1, 32),
(219, '6245', 'ВЕЛМЕВЦИ', 'urban', 1, 45),
(220, '6344', 'ВЕЛМЕЈ', 'urban', 1, 24),
(221, '7223', 'ВЕЛУШИНА', 'urban', 1, 44),
(222, '2414', 'ВЕЉУСА', 'urban', 1, 43),
(223, '7506', 'ВЕПРЧАНИ', 'urban', 1, 51),
(224, '7512', 'ВЕСЕЛЧАНИ', 'urban', 1, 51),
(225, '1407', 'ВЕТЕРСКО', 'urban', 1, 1),
(226, '2320', 'ВЕТРЕН', 'urban', 1, 12),
(227, '1316', 'ВЕТУНИЦА', 'urban', 1, 66),
(228, '1217', 'ВЕШАЛА', 'urban', 1, 61),
(229, '1443', 'ВЕШЈЕ', 'urban', 1, 6),
(230, '2305', 'ВИДОВИШТЕ', 'urban', 1, 13),
(231, '6255', 'ВИДРАНИ', 'urban', 1, 25),
(232, '1255', 'ВИДУШЕ', 'urban', 1, 59),
(233, '1010', 'ВИЗБЕГОВО', 'urban', 1, 70),
(234, '2310', 'ВИНИЦА', 'urban', 1, 11),
(235, '1420', 'ВИНИЧАНИ', 'urban', 1, 2),
(236, '2310', 'ВИНИЧКА КРШЛА', 'urban', 1, 11),
(237, '1323', 'ВИНЦЕ', 'urban', 1, 64),
(238, '6533', 'ВИР', 'urban', 1, 28),
(239, '7244', 'ВИРОВО', 'urban', 1, 45),
(240, '2325', 'ВИРЧЕ', 'urban', 1, 12),
(241, '2416', 'ВИСОКА МААЛА', 'urban', 1, 37),
(242, '1413', 'ВИТАНЦИ', 'urban', 1, 9),
(243, '7508', 'ВИТОЛИШТЕ', 'urban', 1, 51),
(244, '6333', 'ВИШНИ', 'urban', 1, 32),
(245, '1306', 'ВИШТИЦА', 'urban', 1, 65),
(246, '2412', 'ВЛАДИЕВЦИ', 'urban', 1, 37),
(247, '1414', 'ВЛАДИЛОВЦИ', 'urban', 1, 9),
(248, '2331', 'ВЛАДИМИРОВО', 'urban', 1, 10),
(249, '1000', 'ВЛАЕ', 'urban', 1, 75),
(250, '1258', 'ВЛАСИЌИ', 'urban', 1, 33),
(251, '1420', 'ВОДОВРАТИ', 'urban', 1, 2),
(252, '2414', 'ВОДОЧА', 'urban', 1, 43),
(253, '7525', 'ВОЃАНИ', 'urban', 1, 47),
(254, '1424', 'ВОЗАРЦИ', 'urban', 1, 4),
(255, '2420', 'ВОИСЛАВЦИ', 'urban', 1, 42),
(256, '1304', 'ВОЈНИК', 'urban', 1, 67),
(257, '1413', 'ВОЈНИЦА', 'urban', 1, 9),
(258, '1440', 'ВОЈШАНЦИ', 'urban', 1, 6),
(259, '6341', 'ВОЛИНО', 'urban', 1, 24),
(260, '1256', 'ВОЛКОВИЈА', 'urban', 1, 59),
(261, '1237', 'ВОЛКОВИЈА', 'urban', 1, 54),
(262, '1060', 'ВОЛКОВО', 'urban', 1, 72),
(263, '7501', 'ВОЛКОВО', 'urban', 1, 51),
(264, '7315', 'ВОЛКОДЕРИ', 'urban', 1, 52),
(265, '6535', 'ВОЛЧЕ', 'urban', 1, 28),
(266, '1302', 'ВРАГОТУРЦЕ', 'urban', 1, 67),
(267, '1053', 'ВРАЖАЛЕ', 'urban', 1, 73),
(268, '6258', 'ВРАНЕШТИЦА', 'urban', 1, 22),
(269, '2300', 'ВРАНИНЦИ', 'urban', 1, 15),
(270, '6334', 'ВРАНИШТЕ', 'urban', 1, 32),
(271, '1234', 'ВРАНОВЦИ', 'urban', 1, 55),
(272, '7504', 'ВРАНЧЕ', 'urban', 1, 46),
(273, '7211', 'ВРАЊЕВЦИ', 'urban', 1, 50),
(274, '1238', 'ВРАПЧИШТЕ', 'urban', 1, 55),
(275, '2320', 'ВРАТИСЛАВЦИ', 'urban', 1, 12),
(276, '1225', 'ВРАТНИЦА', 'urban', 1, 58),
(277, '1303', 'ВРАЧЕВЦЕ', 'urban', 1, 67),
(278, '1256', 'ВРБЕН', 'urban', 1, 59),
(279, '2333', 'ВРБИЦА', 'urban', 1, 19),
(280, '6346', 'ВРБЈАНИ', 'urban', 1, 24),
(281, '7509', 'ВРБЈАНИ', 'urban', 1, 47),
(282, '1255', 'ВРБЈАНИ', 'urban', 1, 59),
(283, '7524', 'ВРБОЕЦ', 'urban', 1, 48),
(284, '1316', 'ВРЖОГРНЦИ', 'urban', 1, 66),
(285, '7508', 'ВРПСКО', 'urban', 1, 51),
(286, '2000', 'ВРСАКОВО', 'urban', 1, 20),
(287, '1050', 'ВРТЕКИЦА', 'urban', 1, 80),
(288, '2207', 'ВРТЕШКА', 'urban', 1, 14),
(289, '1231', 'ВРУТОК', 'urban', 1, 56),
(290, '7241', 'ГАБАЛАВЦИ', 'urban', 1, 44),
(291, '1330', 'ГАБАР', 'urban', 1, 63),
(292, '2424', 'ГАБРЕВЦИ', 'urban', 1, 40),
(293, '1305', 'ГАБРЕШ', 'urban', 1, 64),
(294, '1415', 'ГАБРОВНИК', 'urban', 1, 9),
(295, '2435', 'ГАБРОВО', 'urban', 1, 43),
(296, '1489', 'ГАБРОВО', 'urban', 1, 38),
(297, '2320', 'ГАБРОВО', 'urban', 1, 12),
(298, '1000', 'ГАЗИ БАБА', 'urban', 1, 71),
(299, '2210', 'ГАЈРАНЦИ', 'urban', 1, 18),
(300, '1217', 'ГАЈРЕ', 'urban', 1, 61),
(301, '1238', 'ГАЛАТЕ', 'urban', 1, 55),
(302, '7501', 'ГАЛИЧАНИ', 'urban', 1, 51),
(303, '1254', 'ГАЛИЧНИК', 'urban', 1, 59),
(304, '1423', 'ГАЛИШТЕ', 'urban', 1, 4),
(305, '6254', 'ГАРАНИ', 'urban', 1, 29),
(306, '2424', 'ГАРВАН', 'urban', 1, 40),
(307, '1250', 'ГАРИ', 'urban', 1, 23),
(308, '1430', 'ГАРНИКОВО', 'urban', 1, 4),
(309, '1480', 'ГЕВГЕЛИЈА', 'urban', 1, 38),
(310, '1316', 'ГЕРМАН', 'urban', 1, 66),
(311, '7225', 'ГЕРМИЈАН', 'urban', 1, 50),
(312, '2430', 'ГЕЧЕРЛИЈА', 'urban', 1, 35),
(313, '1332', 'ГИНОВЦИ', 'urban', 1, 66),
(314, '2300', 'ГЛАВОВИЦА', 'urban', 1, 15),
(315, '1307', 'ГЛАЖЊА', 'urban', 1, 65),
(316, '1430', 'ГЛИШИЌ', 'urban', 1, 4),
(317, '6337', 'ГЛОБОЧИЦА', 'urban', 1, 32),
(318, '1211', 'ГЛОЃИ', 'urban', 1, 60),
(319, '1011', 'ГЛУВО', 'urban', 1, 83),
(320, '1060', 'ГЛУМОВО', 'urban', 1, 78),
(321, '7211', 'ГНЕОТИНО', 'urban', 1, 50),
(322, '7225', 'ГНИЛЕШ', 'urban', 1, 50),
(323, '1054', 'ГОВРЛЕВО', 'urban', 1, 79),
(324, '7524', 'ГОДИВЈЕ', 'urban', 1, 47),
(325, '6346', 'ГОДИВЈЕ', 'urban', 1, 24),
(326, '2207', 'ГОЛЕМ ГАБЕР', 'urban', 1, 14),
(327, '1258', 'ГОЛЕМ ПАПРАДНИК', 'urban', 1, 33),
(328, '7501', 'ГОЛЕМ РАДОБИЛ', 'urban', 1, 51),
(329, '1219', 'ГОЛЕМА РЕЧИЦА', 'urban', 1, 61),
(330, '1334', 'ГОЛЕМА ЦРЦОРИЈА', 'urban', 1, 63),
(331, '7244', 'ГОЛЕМО ИЛИНО', 'urban', 1, 45),
(332, '7509', 'ГОЛЕМО КОЊАРИ', 'urban', 1, 51),
(333, '6245', 'ГОЛЕМО ЦРСКО', 'urban', 1, 25),
(334, '1413', 'ГОЛОЗИНЦИ', 'urban', 1, 9),
(335, '7314', 'ГОПЕШ', 'urban', 1, 44),
(336, '2000', 'ГОРАЧИНО', 'urban', 1, 20),
(337, '6341', 'ГОРЕНЦИ', 'urban', 1, 24),
(338, '1258', 'ГОРЕНЦИ', 'urban', 1, 33),
(339, '1235', 'ГОРЈАНЕ', 'urban', 1, 55),
(340, '1230', 'ГОРНА БАЊИЦА', 'urban', 1, 56),
(341, '7310', 'ГОРНА БЕЛА ЦРКВА', 'urban', 1, 52),
(342, '6335', 'ГОРНА БЕЛИЦА', 'urban', 1, 32),
(343, '1437', 'ГОРНА БОШАВА', 'urban', 1, 4),
(344, '2424', 'ГОРНА ВРАШТИЦА', 'urban', 1, 40),
(345, '6256', 'ГОРНА ДУШЕГУБИЦА', 'urban', 1, 25),
(346, '1230', 'ГОРНА ЃОНОВИЦА', 'urban', 1, 56),
(347, '1226', 'ГОРНА ЛЕШНИЦА', 'urban', 1, 57),
(348, '7216', 'ГОРНА ЧАРЛИЈА', 'urban', 1, 49),
(349, '2000', 'ГОРНИ БАЛВАН', 'urban', 1, 14),
(350, '1443', 'ГОРНИ ДИСАН', 'urban', 1, 6),
(351, '2424', 'ГОРНИ ЛИПОВИК', 'urban', 1, 40),
(352, '6533', 'ГОРНИ МАНАСТИРЕЦ', 'urban', 1, 28),
(353, '2307', 'ГОРНИ ПОДЛОГ', 'urban', 1, 15),
(354, '2210', 'ГОРНИ СТУБОЛ', 'urban', 1, 18),
(355, '7211', 'ГОРНО АГЛАРЦИ', 'urban', 1, 50),
(356, '2210', 'ГОРНО БАРБАРЕВО', 'urban', 1, 18),
(357, '6535', 'ГОРНО БОТУШЈЕ', 'urban', 1, 28),
(358, '1413', 'ГОРНО ВРАНОВЦИ', 'urban', 1, 9),
(359, '2300', 'ГОРНО ГРАДЧЕ', 'urban', 1, 15),
(360, '7550', 'ГОРНО ДИВЈАЦИ', 'urban', 1, 48),
(361, '6261', 'ГОРНО ДОБРЕНОЕЦ', 'urban', 1, 25),
(362, '7310', 'ГОРНО ДУПЕНИ', 'urban', 1, 52),
(363, '2220', 'ГОРНО ЃУГАНЦЕ', 'urban', 1, 8),
(364, '7224', 'ГОРНО ЕГРИ', 'urban', 1, 44),
(365, '1413', 'ГОРНО ЈАБОЛЧИШТЕ', 'urban', 1, 9),
(366, '1231', 'ГОРНО ЈЕЛОВЦЕ', 'urban', 1, 56),
(367, '1406', 'ГОРНО КАЛАСЛАРИ', 'urban', 1, 1),
(368, '1050', 'ГОРНО КОЛИЧАНИ', 'urban', 1, 80),
(369, '1308', 'ГОРНО КОЊАРЕ', 'urban', 1, 64),
(370, '1043', 'ГОРНО КОЊАРИ', 'urban', 1, 77),
(371, '1250', 'ГОРНО КОСОВРАСТИ', 'urban', 1, 23),
(372, '1360', 'ГОРНО КРАТОВО', 'urban', 1, 62),
(373, '7320', 'ГОРНО КРУШЈЕ', 'urban', 1, 52),
(374, '6533', 'ГОРНО КРУШЈЕ', 'urban', 1, 28),
(375, '6000', 'ГОРНО ЛАКОЧЕРЕЈ', 'urban', 1, 30),
(376, '1000', 'ГОРНО ЛИСИЧЕ', 'urban', 1, 68),
(377, '1250', 'ГОРНО МЕЛНИЧАНИ', 'urban', 1, 33),
(378, '1000', 'ГОРНО НЕРЕЗИ', 'urban', 1, 75),
(379, '1408', 'ГОРНО ОРИЗАРИ', 'urban', 1, 1),
(380, '7201', 'ГОРНО ОРИЗАРИ', 'urban', 1, 44),
(381, '1010', 'ГОРНО ОРИЗАРИ', 'urban', 1, 84),
(382, '1219', 'ГОРНО ПАЛЧИШТЕ', 'urban', 1, 53),
(383, '1060', 'ГОРНО СВИЛАРЕ', 'urban', 1, 78),
(384, '1213', 'ГОРНО СЕДЛАРЦЕ', 'urban', 1, 53),
(385, '7504', 'ГОРНО СЕЛО', 'urban', 1, 46),
(386, '1054', 'ГОРНО СОЊЕ', 'urban', 1, 79),
(387, '6344', 'ГОРНО СРЕДОРЕЧИЕ', 'urban', 1, 24),
(388, '6253', 'ГОРНО СТРОГОМИШТЕ', 'urban', 1, 26),
(389, '6334', 'ГОРНО ТАТЕШИ', 'urban', 1, 32),
(390, '2000', 'ГОРНО ТРОГЕРЦИ', 'urban', 1, 14),
(391, '2227', 'ГОРНО ЦРНИЛИШТЕ', 'urban', 1, 8),
(392, '1420', 'ГОРНО ЧИЧЕВО', 'urban', 1, 2),
(393, '1011', 'ГОРЊАНЕ', 'urban', 1, 83),
(394, '2220', 'ГОРОБИНЦИ', 'urban', 1, 8),
(395, '1230', 'ГОСТИВАР', 'urban', 1, 56),
(396, '7505', 'ГОСТИРАЖНИ', 'urban', 1, 46),
(397, '1047', 'ГОЦЕ ДЕЛЧЕВ', 'urban', 1, 71),
(398, '1307', 'ГОШИНЦЕ', 'urban', 1, 65),
(399, '2320', 'ГРАД', 'urban', 1, 12),
(400, '2310', 'ГРАДЕЦ', 'urban', 1, 11),
(401, '1330', 'ГРАДЕЦ', 'urban', 1, 63),
(402, '1235', 'ГРАДЕЦ', 'urban', 1, 55),
(403, '2464', 'ГРАДЕЦ', 'urban', 1, 36),
(404, '7214', 'ГРАДЕШНИЦА', 'urban', 1, 50),
(405, '1309', 'ГРАДИШТЕ', 'urban', 1, 64),
(406, '1044', 'ГРАДМАНЦИ', 'urban', 1, 77),
(407, '1053', 'ГРАДОВЦИ', 'urban', 1, 73),
(408, '2411', 'ГРАДОШОРЦИ', 'urban', 1, 37),
(409, '1420', 'ГРАДСКО', 'urban', 1, 2),
(410, '2400', 'ГРАДСКО БАЛДОВЦИ', 'urban', 1, 43),
(411, '7223', 'ГРАЕШНИЦА', 'urban', 1, 44),
(412, '7240', 'ГРАИШТЕ', 'urban', 1, 45),
(413, '1060', 'ГРАЧАНИ', 'urban', 1, 72),
(414, '1430', 'ГРБОВЕЦ', 'urban', 1, 4),
(415, '2300', 'ГРДОВЦИ', 'urban', 1, 15),
(416, '1256', 'ГРЕКАЈ', 'urban', 1, 59),
(417, '6257', 'ГРЕШНИЦА', 'urban', 1, 26),
(418, '6530', 'ГРЕШНИЦА', 'urban', 1, 28),
(419, '2210', 'ГРИЗИЛЕВЦИ', 'urban', 1, 18),
(420, '6344', 'ГРКО ПОЛЕ', 'urban', 1, 24),
(421, '2310', 'ГРЉАНИ', 'urban', 1, 11),
(422, '7315', 'ГРНЧАРИ', 'urban', 1, 52),
(423, '1406', 'ГРНЧИШТЕ', 'urban', 1, 2),
(424, '7211', 'ГРУМАЗИ', 'urban', 1, 50),
(425, '7214', 'ГРУНИШТА', 'urban', 1, 50),
(426, '1218', 'ГРУПЧИН', 'urban', 1, 57),
(427, '1045', 'ГРУШИНО', 'urban', 1, 69),
(428, '1060', 'ГРЧЕЦ', 'urban', 1, 78),
(429, '2460', 'ГРЧИШТЕ', 'urban', 1, 36),
(430, '7508', 'ГУЃАКОВО', 'urban', 1, 51),
(431, '2210', 'ГУЈНОВЦИ', 'urban', 1, 18),
(432, '1316', 'ГУЛИНЦИ', 'urban', 1, 66),
(433, '1053', 'ГУМАЛЕВО', 'urban', 1, 73),
(434, '1218', 'ГУРГУРНИЦА', 'urban', 1, 54),
(435, '2400', 'ДАБИЉЕ', 'urban', 1, 43),
(436, '7537', 'ДАБЈАНИ', 'urban', 1, 46),
(437, '7501', 'ДАБНИЦА', 'urban', 1, 51),
(438, '1434', 'ДАБНИШТЕ', 'urban', 1, 4),
(439, '2464', 'ДАВИДОВО', 'urban', 1, 38),
(440, '7212', 'ДАЛБЕГОВЦИ', 'urban', 1, 50),
(441, '2420', 'ДАМЈАН', 'urban', 1, 42),
(442, '2330', 'ДВОРИШТЕ', 'urban', 1, 10),
(443, '1420', 'ДВОРИШТЕ', 'urban', 1, 2),
(444, '1062', 'ДВОРЦЕ', 'urban', 1, 78),
(445, '6539', 'ДВОРЦИ', 'urban', 1, 31),
(446, '1250', 'ДЕБАР', 'urban', 1, 23),
(447, '1234', 'ДЕБРЕШЕ', 'urban', 1, 56),
(448, '7537', 'ДЕБРЕШТЕ', 'urban', 1, 46),
(449, '1423', 'ДЕБРИШТЕ', 'urban', 1, 7),
(450, '6530', 'ДЕВИЧ', 'urban', 1, 28),
(451, '7212', 'ДЕДЕБАЛЦИ', 'urban', 1, 49),
(452, '2461', 'ДЕДЕЛИ', 'urban', 1, 36),
(453, '2420', 'ДЕДИНО', 'urban', 1, 40),
(454, '1053', 'ДЕЈКОВЕЦ', 'urban', 1, 73),
(455, '1302', 'ДЕЈЛОВЦЕ', 'urban', 1, 67),
(456, '2227', 'ДЕЛИСИНЦИ', 'urban', 1, 8),
(457, '6338', 'ДЕЛОГОЖДИ', 'urban', 1, 32),
(458, '2320', 'ДЕЛЧЕВО', 'urban', 1, 12),
(459, '1042', 'ДЕЉАДРОВЦИ', 'urban', 1, 74),
(460, '1442', 'ДЕМИР КАПИЈА', 'urban', 1, 3),
(461, '7240', 'ДЕМИР ХИСАР', 'urban', 1, 45),
(462, '7504', 'ДЕСОВО', 'urban', 1, 46),
(463, '1043', 'ДИВЉЕ', 'urban', 1, 77),
(464, '1361', 'ДИМОНЦЕ', 'urban', 1, 62),
(465, '7205', 'ДИХОВО', 'urban', 1, 44),
(466, '1302', 'ДЛАБОЧИЦА', 'urban', 1, 67),
(467, '1333', 'ДЛАБОЧИЦА', 'urban', 1, 63),
(468, '6257', 'ДЛАПКИН ДОЛ', 'urban', 1, 26),
(469, '1323', 'Д`ЛГА', 'urban', 1, 64),
(470, '1226', 'ДОБАРЦЕ', 'urban', 1, 57),
(471, '6334', 'ДОБОВЈАНИ', 'urban', 1, 32),
(472, '1302', 'ДОБРАЧА', 'urban', 1, 67),
(473, '2210', 'ДОБРЕВО', 'urban', 1, 18),
(474, '2411', 'ДОБРЕЈЦИ', 'urban', 1, 43),
(475, '1236', 'ДОБРИ ДОЛ', 'urban', 1, 55),
(476, '1054', 'ДОБРИ ДОЛ', 'urban', 1, 79),
(477, '1053', 'ДОБРИНО', 'urban', 1, 73),
(478, '7225', 'ДОБРОВЕНИ', 'urban', 1, 50),
(479, '1334', 'ДОБРОВНИЦА', 'urban', 1, 63),
(480, '7211', 'ДОБРОМИРИ', 'urban', 1, 50),
(481, '1430', 'ДОБРОТИНО', 'urban', 1, 4),
(482, '1300', 'ДОБРОШАНЕ', 'urban', 1, 64),
(483, '2000', 'ДОБРОШАНИ', 'urban', 1, 20),
(484, '2416', 'ДОБРОШИНЦИ', 'urban', 1, 37),
(485, '1211', 'ДОБРОШТЕ', 'urban', 1, 60),
(486, '7215', 'ДОБРУШЕВО', 'urban', 1, 49),
(487, '1304', 'ДОВЕЗАНЦЕ', 'urban', 1, 64),
(488, '2000', 'ДОЛАНИ', 'urban', 1, 20),
(489, '7505', 'ДОЛГАЕЦ', 'urban', 1, 46),
(490, '1258', 'ДОЛГАШ', 'urban', 1, 33),
(491, '7244', 'ДОЛЕНЦИ', 'urban', 1, 45),
(492, '7314', 'ДОЛЕНЦИ', 'urban', 1, 44),
(493, '1230', 'ДОЛНА БАЊИЦА', 'urban', 1, 56),
(494, '7310', 'ДОЛНА БЕЛА ЦРКВА', 'urban', 1, 52),
(495, '6334', 'ДОЛНА БЕЛИЦА', 'urban', 1, 32),
(496, '1437', 'ДОЛНА БОШАВА', 'urban', 1, 4),
(497, '2420', 'ДОЛНА ВРАШТИЦА', 'urban', 1, 40),
(498, '6256', 'ДОЛНА ДУШЕГУБИЦА', 'urban', 1, 25),
(499, '1230', 'ДОЛНА ЃОНОВИЦА', 'urban', 1, 56),
(500, '1226', 'ДОЛНА ЛЕШНИЦА', 'urban', 1, 57),
(501, '7216', 'ДОЛНА ЧАРЛИЈА', 'urban', 1, 49),
(502, '7504', 'ДОЛНЕНИ', 'urban', 1, 46),
(503, '2000', 'ДОЛНИ БАЛВАН', 'urban', 1, 14),
(504, '1443', 'ДОЛНИ ДИСАН', 'urban', 1, 6),
(505, '2424', 'ДОЛНИ ЛИПОВИК', 'urban', 1, 40),
(506, '6533', 'ДОЛНИ МАНАСТИРЕЦ', 'urban', 1, 28),
(507, '2307', 'ДОЛНИ ПОДЛОГ', 'urban', 1, 15),
(508, '2424', 'ДОЛНИ РАДЕШ', 'urban', 1, 40),
(509, '2210', 'ДОЛНИ СТУБОЛ', 'urban', 1, 18),
(510, '7211', 'ДОЛНО АГЛАРЦИ', 'urban', 1, 50),
(511, '2210', 'ДОЛНО БАРБАРЕВО', 'urban', 1, 18),
(512, '6535', 'ДОЛНО БОТУШЈЕ', 'urban', 1, 28),
(513, '1414', 'ДОЛНО ВРАНОВЦИ', 'urban', 1, 9),
(514, '2300', 'ДОЛНО ГРАДЧЕ', 'urban', 1, 15),
(515, '7550', 'ДОЛНО ДИВЈАЦИ', 'urban', 1, 48),
(516, '6261', 'ДОЛНО ДОБРЕНОЕЦ', 'urban', 1, 25),
(517, '7318', 'ДОЛНО ДУПЕНИ', 'urban', 1, 52),
(518, '2220', 'ДОЛНО ЃУГАНЦЕ', 'urban', 1, 8),
(519, '1413', 'ДОЛНО ЈАБОЛЧИШТЕ', 'urban', 1, 9),
(520, '1231', 'ДОЛНО ЈЕЛОВЦЕ', 'urban', 1, 56),
(521, '1406', 'ДОЛНО КАЛАСЛАРИ', 'urban', 1, 1),
(522, '1050', 'ДОЛНО КОЛИЧАНИ', 'urban', 1, 80),
(523, '1300', 'ДОЛНО КОЊАРЕ', 'urban', 1, 64),
(524, '1043', 'ДОЛНО КОЊАРИ', 'urban', 1, 77),
(525, '6000', 'ДОЛНО КОЊСКО', 'urban', 1, 30),
(526, '1250', 'ДОЛНО КОСОВРАСТИ', 'urban', 1, 23),
(527, '6533', 'ДОЛНО КРУШЈЕ', 'urban', 1, 28),
(528, '6000', 'ДОЛНО ЛАКОЧЕРЕЈ', 'urban', 1, 30),
(529, '1050', 'ДОЛНО ЛИСИЧЕ', 'urban', 1, 68),
(530, '1258', 'ДОЛНО МЕЛНИЧАНИ', 'urban', 1, 33),
(531, '1000', 'ДОЛНО НЕРЕЗИ', 'urban', 1, 75),
(532, '7211', 'ДОЛНО ОРЕХОВО', 'urban', 1, 50),
(533, '7204', 'ДОЛНО ОРИЗАРИ', 'urban', 1, 44),
(534, '1010', 'ДОЛНО ОРИЗАРИ', 'urban', 1, 84),
(535, '1408', 'ДОЛНО ОРИЗАРИ', 'urban', 1, 1),
(536, '1219', 'ДОЛНО ПАЛЧИШТЕ', 'urban', 1, 53),
(537, '7315', 'ДОЛНО ПЕРОВО', 'urban', 1, 52),
(538, '1060', 'ДОЛНО СВИЛАРЕ', 'urban', 1, 78),
(539, '1216', 'ДОЛНО СЕДЛАРЦЕ', 'urban', 1, 54),
(540, '1054', 'ДОЛНО СОЊЕ', 'urban', 1, 79),
(541, '6344', 'ДОЛНО СРЕДОРЕЧИЕ', 'urban', 1, 24),
(542, '7245', 'ДОЛНО СРПЦИ', 'urban', 1, 49),
(543, '6253', 'ДОЛНО СТРОГОМИШТЕ', 'urban', 1, 26),
(544, '6334', 'ДОЛНО ТАТЕШИ', 'urban', 1, 32),
(545, '2000', 'ДОЛНО ТРОГЕРЦИ', 'urban', 1, 14),
(546, '2227', 'ДОЛНО ЦРНИЛИШТЕ', 'urban', 1, 8),
(547, '1420', 'ДОЛНО ЧИЧЕВО', 'urban', 1, 2),
(548, '2413', 'ДОРЛОМБОС', 'urban', 1, 43),
(549, '7241', 'ДРАГАРИНО', 'urban', 1, 44),
(550, '2316', 'ДРАГОБРАШТЕ', 'urban', 1, 11),
(551, '6533', 'ДРАГОВ ДОЛ', 'urban', 1, 28),
(552, '2000', 'ДРАГОЕВО', 'urban', 1, 20),
(553, '7241', 'ДРАГОЖАНИ', 'urban', 1, 44),
(554, '1430', 'ДРАГОЖЕЛ', 'urban', 1, 4),
(555, '1303', 'ДРАГОМАНЦЕ', 'urban', 1, 67),
(556, '7223', 'ДРАГОШ', 'urban', 1, 44),
(557, '1423', 'ДРАДЊА', 'urban', 1, 4),
(558, '2436', 'ДРАЖЕВО', 'urban', 1, 41),
(559, '2320', 'ДРАМЧЕ', 'urban', 1, 12),
(560, '6330', 'ДРАСЛАЈЦА', 'urban', 1, 32),
(561, '1050', 'ДРАЧЕВИЦА', 'urban', 1, 80),
(562, '1442', 'ДРАЧЕВИЦА', 'urban', 1, 3),
(563, '2430', 'ДРВОШ', 'urban', 1, 35),
(564, '7245', 'ДРЕВЕНИК', 'urban', 1, 44),
(565, '2212', 'ДРЕВЕНО', 'urban', 1, 18),
(566, '7501', 'ДРЕН', 'urban', 1, 51),
(567, '1442', 'ДРЕН', 'urban', 1, 3),
(568, '1330', 'ДРЕНАК', 'urban', 1, 63),
(569, '1413', 'ДРЕНОВО', 'urban', 1, 9),
(570, '1423', 'ДРЕНОВО', 'urban', 1, 4),
(571, '6530', 'ДРЕНОВО', 'urban', 1, 28),
(572, '7504', 'ДРЕНОВЦИ', 'urban', 1, 46),
(573, '2210', 'ДРЕНОК', 'urban', 1, 18),
(574, '6337', 'ДРЕНОК', 'urban', 1, 32),
(575, '1361', 'ДРЕНОК', 'urban', 1, 67),
(576, '1330', 'ДРЕЊЕ', 'urban', 1, 63),
(577, '2420', 'ДРЖАНИ', 'urban', 1, 42),
(578, '1054', 'ДРЖИЛОВО', 'urban', 1, 79),
(579, '7315', 'ДРМЕНИ', 'urban', 1, 52),
(580, '6261', 'ДРУГОВО', 'urban', 1, 25),
(581, '1440', 'ДУБРОВО', 'urban', 1, 6),
(582, '2412', 'ДУКАТИНО', 'urban', 1, 37),
(583, '2304', 'ДУЛИЦА', 'urban', 1, 16),
(584, '1307', 'ДУМАНОВЦЕ', 'urban', 1, 65),
(585, '7506', 'ДУЊЕ', 'urban', 1, 51),
(586, '6259', 'ДУПЈАНИ', 'urban', 1, 22),
(587, '7504', 'ДУПЈАЧАНИ', 'urban', 1, 46),
(588, '1330', 'ДУРАЧКА РЕКА', 'urban', 1, 63),
(589, '1485', 'ДУРУТЛИ', 'urban', 1, 39),
(590, '2420', 'ДУРУТЛИЈА', 'urban', 1, 42),
(591, '1406', 'ДУРУТОВЕЦ', 'urban', 1, 1),
(592, '2208', 'ДУРФУЛИЈА', 'urban', 1, 5),
(593, '1231', 'ДУФ', 'urban', 1, 59),
(594, '1484', 'ЃАВАТО', 'urban', 1, 34),
(595, '7314', 'ЃАВОТО', 'urban', 1, 44),
(596, '1200', 'ЃЕРМО', 'urban', 1, 61),
(597, '1485', 'ЃОПЧЕЛИ', 'urban', 1, 39),
(598, '1060', 'ЃОРЧЕ ПЕТРОВ', 'urban', 1, 72),
(599, '2208', 'ЃУЗЕМЕЛЦИ', 'urban', 1, 5),
(600, '2461', 'ЃУЛЕЛИ', 'urban', 1, 36),
(601, '1235', 'ЃУРЃЕВИШТЕ', 'urban', 1, 55),
(602, '2207', 'ЕБЕПЛИЈА', 'urban', 1, 14),
(603, '1258', 'ЕВЛА', 'urban', 1, 33),
(604, '7310', 'ЕВЛА', 'urban', 1, 52),
(605, '2000', 'ЕДЕКЛЕРЦИ', 'urban', 1, 20),
(606, '7240', 'ЕДИНАКОВО', 'urban', 1, 45),
(607, '2431', 'ЕДНОКУЌЕВО', 'urban', 1, 35),
(608, '2414', 'ЕДРЕНИКОВО', 'urban', 1, 37),
(609, '7315', 'ЕЗЕРАНИ', 'urban', 1, 52),
(610, '1258', 'ЕЛЕВЦИ', 'urban', 1, 33),
(611, '6000', 'ЕЛЕШЕЦ', 'urban', 1, 30),
(612, '1413', 'ЕЛОВЕЦ', 'urban', 1, 9),
(613, '1054', 'ЕЛОВО', 'urban', 1, 80),
(614, '6000', 'ЕЛШАНИ', 'urban', 1, 30),
(615, '1360', 'ЕМИРИЦА', 'urban', 1, 62),
(616, '7514', 'ЕРЕКОВЦИ', 'urban', 1, 51),
(617, '2225', 'ЕРЏЕЛИЈА', 'urban', 1, 8),
(618, '6256', 'ЕХЛОВЕЦ', 'urban', 1, 25),
(619, '7223', 'ЖАБЕНИ', 'urban', 1, 44),
(620, '7537', 'ЖАБЈАНИ', 'urban', 1, 46),
(621, '7244', 'ЖВАН', 'urban', 1, 45),
(622, '1302', 'ЖЕГЉАНЕ', 'urban', 1, 67),
(623, '1239', 'ЖЕЛЕЗНА РЕКА', 'urban', 1, 56),
(624, '7244', 'ЖЕЛЕЗНЕЦ', 'urban', 1, 45),
(625, '1360', 'ЖЕЛЕЗНИЦА', 'urban', 1, 62),
(626, '1226', 'ЖЕЛИНО', 'urban', 1, 57),
(627, '1053', 'ЖЕЛ.СТАН. ЗЕЛЕНИКОВО', 'urban', 1, 73),
(628, '1302', 'ЖЕЉУВИНО', 'urban', 1, 67),
(629, '1213', 'ЖЕРОВЈАНЕ', 'urban', 1, 53),
(630, '1360', 'ЖИВАЛЕВО', 'urban', 1, 62),
(631, '1305', 'ЖИВЕЊЕ', 'urban', 1, 64),
(632, '7508', 'ЖИВОВО', 'urban', 1, 51),
(633, '7225', 'ЖИВОЈНО', 'urban', 1, 50),
(634, '2333', 'ЖИГАНЦИ', 'urban', 1, 19),
(635, '1335', 'ЖИДИЛОВО', 'urban', 1, 63),
(636, '1228', 'ЖИЛЧЕ', 'urban', 1, 58),
(637, '1255', 'ЖИРОВНИЦА', 'urban', 1, 59),
(638, '1258', 'ЖИТИНЕНИ', 'urban', 1, 33),
(639, '7507', 'ЖИТОШЕ', 'urban', 1, 46),
(640, '6254', 'ЖУБРИНО', 'urban', 1, 29),
(641, '1256', 'ЖУЖЊЕ', 'urban', 1, 59),
(642, '7240', 'ЖУРЧЕ', 'urban', 1, 45),
(643, '7504', 'ЗАБРЧАНИ', 'urban', 1, 46),
(644, '6306', 'ЗАВОЈ', 'urban', 1, 30),
(645, '7512', 'ЗАГОРАНИ', 'urban', 1, 51),
(646, '7240', 'ЗАГОРИЧЕ', 'urban', 1, 45),
(647, '2424', 'ЗАГОРЦИ', 'urban', 1, 40),
(648, '6535', 'ЗАГРАД', 'urban', 1, 28),
(649, '6333', 'ЗАГРАЧАНИ', 'urban', 1, 32),
(650, '6253', 'ЗАЈАС', 'urban', 1, 26),
(651, '7504', 'ЗАПОЛЖАНИ', 'urban', 1, 46),
(652, '2210', 'ЗАРЕПИНЦИ', 'urban', 1, 18),
(653, '7244', 'ЗАШЛЕ', 'urban', 1, 45),
(654, '6338', 'ЗБАЖДИ', 'urban', 1, 32),
(655, '2320', 'ЗВЕГОР', 'urban', 1, 12),
(656, '6535', 'ЗВЕЧАН', 'urban', 1, 28),
(657, '1406', 'ЗГРОПОЛЦИ', 'urban', 1, 2),
(658, '1230', 'ЗДУЊЕ', 'urban', 1, 56),
(659, '6535', 'ЗДУЊЕ', 'urban', 1, 28),
(660, '2212', 'ЗЕЛЕНГРАД', 'urban', 1, 18),
(661, '1053', 'ЗЕЛЕНИКОВО', 'urban', 1, 73),
(662, '7320', 'ЗЛАТАРИ', 'urban', 1, 52),
(663, '2423', 'ЗЛЕОВО', 'urban', 1, 42),
(664, '6344', 'ЗЛЕСТИ', 'urban', 1, 24),
(665, '2212', 'ЗЛЕТОВО', 'urban', 1, 18),
(666, '2410', 'ЗЛЕШЕВО', 'urban', 1, 43),
(667, '1307', 'ЗЛОКУЌАНЕ', 'urban', 1, 65),
(668, '1060', 'ЗЛОКУЌАНИ', 'urban', 1, 75),
(669, '7221', 'ЗЛОКУЌАНИ', 'urban', 1, 44),
(670, '7214', 'ЗОВИЌ 1', 'urban', 1, 50),
(671, '7215', 'ЗОВИЌ 2', 'urban', 1, 50),
(672, '7505', 'ЗРЗЕ', 'urban', 1, 46),
(673, '6535', 'ЗРКЛЕ', 'urban', 1, 28),
(674, '2305', 'ЗРНОВЦИ', 'urban', 1, 13),
(675, '2434', 'ЗУБОВО', 'urban', 1, 41),
(676, '1304', 'ЗУБОВЦЕ', 'urban', 1, 64),
(677, '1234', 'ЗУБОВЦЕ', 'urban', 1, 55),
(678, '1442', 'ИБЕРЛИ', 'urban', 1, 3),
(679, '1407', 'ИВАНКОВЦИ', 'urban', 1, 1),
(680, '6256', 'ИВАНЧИШТА', 'urban', 1, 25),
(681, '7245', 'ИВАЊЕВЦИ', 'urban', 1, 49),
(682, '7213', 'ИВЕНИ', 'urban', 1, 50),
(683, '1047', 'ИДРИЗОВО', 'urban', 1, 71),
(684, '6539', 'ИЖИШТЕ', 'urban', 1, 28),
(685, '7320', 'ИЗБИШТА', 'urban', 1, 52),
(686, '6256', 'ИЗВОР', 'urban', 1, 25),
(687, '1414', 'ИЗВОР', 'urban', 1, 9),
(688, '1325', 'ИЗВОР', 'urban', 1, 65),
(689, '6344', 'ИЗДЕГЛАВЈЕ', 'urban', 1, 24),
(690, '1041', 'ИЛИНДЕН', 'urban', 1, 74),
(691, '7316', 'ИЛИНО', 'urban', 1, 52),
(692, '2320', 'ИЛИОВО', 'urban', 1, 12),
(693, '2433', 'ИЛОВИЦА', 'urban', 1, 35),
(694, '2210', 'ИНДУСТРИСКА НАСЕЛБА', 'urban', 1, 18),
(695, '2420', 'ИНЕВО', 'urban', 1, 42),
(696, '6533', 'ИНЧЕ', 'urban', 1, 28),
(697, '1040', 'ИНЏИКОВО', 'urban', 1, 71),
(698, '2312', 'ИСТИБАЊА', 'urban', 1, 11),
(699, '6336', 'ЈАБЛАНИЦА', 'urban', 1, 32),
(700, '1054', 'ЈАБОЛЦИ', 'urban', 1, 79),
(701, '6261', 'ЈАВОРЕЦ', 'urban', 1, 25),
(702, '6254', 'ЈАГОЛ', 'urban', 1, 29),
(703, '6254', 'ЈАГОЛ ДОЛЕНЦИ', 'urban', 1, 29),
(704, '1225', 'ЈАЖИНЦЕ', 'urban', 1, 58),
(705, '2310', 'ЈАКИМОВО', 'urban', 1, 11),
(706, '7537', 'ЈАКРЕНОВО', 'urban', 1, 48),
(707, '2212', 'ЈАМИШТЕ', 'urban', 1, 18),
(708, '2000', 'ЈАМУЛАРЦИ', 'urban', 1, 20),
(709, '7320', 'ЈАНКОВЕЦ', 'urban', 1, 52),
(710, '1443', 'ЈАНОШЕВО', 'urban', 1, 6),
(711, '1254', 'ЈАНЧЕ', 'urban', 1, 59),
(712, '1215', 'ЈАНЧИШТЕ', 'urban', 1, 58),
(713, '2423', 'ЈАРГУЛИЦА', 'urban', 1, 42),
(714, '2300', 'ЈАСТРЕБНИК', 'urban', 1, 15),
(715, '1304', 'ЈАЧИНЦЕ', 'urban', 1, 64),
(716, '1215', 'ЈЕГУНОВЦЕ', 'urban', 1, 58),
(717, '1200', 'ЈЕДОАРЦЕ', 'urban', 1, 61),
(718, '1221', 'ЈЕЛОВЈАНЕ', 'urban', 1, 53),
(719, '1224', 'ЈЕЛОШНИК', 'urban', 1, 60),
(720, '2465', 'ЈОСИФОВО', 'urban', 1, 36),
(721, '6255', 'ЈУДОВО', 'urban', 1, 25),
(722, '2207', 'ЈУНУЗЛИЈА', 'urban', 1, 14),
(723, '1047', 'ЈУРУМЛЕРИ', 'urban', 1, 71),
(724, '1430', 'КАВАДАРЦИ', 'urban', 1, 4),
(725, '1360', 'КАВРАК', 'urban', 1, 62),
(726, '1043', 'КАДИНО', 'urban', 1, 74),
(727, '7501', 'КАДИНО СЕЛО', 'urban', 1, 51),
(728, '2225', 'КАДРИФАКОВО', 'urban', 1, 8),
(729, '7314', 'КАЖАНИ', 'urban', 1, 44),
(730, '2461', 'КАЗАНДОЛ', 'urban', 1, 36),
(731, '1440', 'КАЛАЊЕВО', 'urban', 1, 6),
(732, '2207', 'КАЛАПЕТРОВЦИ', 'urban', 1, 20),
(733, '2207', 'КАЛАУЗЛИЈА', 'urban', 1, 14),
(734, '2420', 'КАЛАУЗЛИЈА', 'urban', 1, 42),
(735, '1050', 'КАЛДИРЕЦ', 'urban', 1, 80),
(736, '7506', 'КАЛЕН', 'urban', 1, 51),
(737, '2310', 'КАЛИМАНЦИ', 'urban', 1, 11),
(738, '6333', 'КАЛИШТА', 'urban', 1, 32),
(739, '1235', 'КАЛИШТЕ', 'urban', 1, 55),
(740, '2210', 'КАЛНИШТЕ', 'urban', 1, 18),
(741, '6533', 'КАЛУГЕРЕЦ', 'urban', 1, 28),
(742, '2423', 'КАЛУЃЕРИЦА', 'urban', 1, 42),
(743, '1422', 'КАМЕН ДОЛ', 'urban', 1, 7),
(744, '1221', 'КАМЕЊАНЕ', 'urban', 1, 53),
(745, '1314', 'КАНАРЕВО', 'urban', 1, 67),
(746, '7514', 'КАНАТЛАРЦИ', 'urban', 1, 51),
(747, '7223', 'КАНИНО', 'urban', 1, 44),
(748, '1415', 'КАПИНOВО', 'urban', 1, 9),
(749, '1308', 'КАРАБИЧАНЕ', 'urban', 1, 64),
(750, '1408', 'КАРАБУЊИШТЕ', 'urban', 1, 1),
(751, '2420', 'КАРАЛОБОСИ', 'urban', 1, 42),
(752, '7204', 'КАРАМАНИ', 'urban', 1, 44),
(753, '2208', 'КАРАТМАНОВО', 'urban', 1, 5),
(754, '2420', 'КАРАЏАЛАР', 'urban', 1, 42),
(755, '2207', 'КАРБИНЦИ', 'urban', 1, 14),
(756, '6258', 'КАРБУНИЦА', 'urban', 1, 22),
(757, '1302', 'КАРЛОВЦЕ', 'urban', 1, 67),
(758, '1060', 'КАРПОШ', 'urban', 1, 75),
(759, '1321', 'КАРПОШ', 'urban', 1, 64),
(760, '1044', 'КАТЛАНОВО', 'urban', 1, 77),
(761, '2207', 'КЕПЕКЧЕЛИЈА', 'urban', 1, 14),
(762, '1423', 'КЕСЕНДРЕ', 'urban', 1, 4),
(763, '1360', 'КЕТЕНОВО', 'urban', 1, 62),
(764, '1000', 'КИСЕЛА ВОДА', 'urban', 1, 76),
(765, '1330', 'КИСЕЛИЦА', 'urban', 1, 63),
(766, '2320', 'КИСЕЛИЦА', 'urban', 1, 12),
(767, '6250', 'КИЧЕВО', 'urban', 1, 27),
(768, '1256', 'КИЧИНИЦА', 'urban', 1, 59),
(769, '7223', 'КИШАВА', 'urban', 1, 44),
(770, '2208', 'КИШИНО', 'urban', 1, 5),
(771, '6245', 'КЛАДНИК', 'urban', 1, 25),
(772, '6256', 'КЛЕНОЕЦ', 'urban', 1, 25),
(773, '7514', 'КЛЕПАЧ', 'urban', 1, 51),
(774, '1304', 'КЛЕЧЕВЦЕ', 'urban', 1, 64),
(775, '6342', 'КЛИМЕШТАНИ', 'urban', 1, 24),
(776, '1437', 'КЛИНОВО', 'urban', 1, 4),
(777, '1442', 'КЛИСУРА', 'urban', 1, 3),
(778, '1413', 'КЛУКОВЕЦ', 'urban', 1, 1),
(779, '1360', 'КНЕЖЕВО', 'urban', 1, 62),
(780, '6260', 'КНЕЖИНО', 'urban', 1, 27),
(781, '2220', 'КНЕЖЈЕ', 'urban', 1, 8),
(782, '1483', 'КОВАНЦИ', 'urban', 1, 38),
(783, '6535', 'КОВАЧ', 'urban', 1, 28),
(784, '6535', 'КОВЧЕ', 'urban', 1, 28),
(785, '1044', 'КОЖЛЕ', 'urban', 1, 77),
(786, '2420', 'КОЗБУНАР', 'urban', 1, 42),
(787, '6255', 'КОЗИЦА', 'urban', 1, 25),
(788, '6259', 'КОЗИЧИНО', 'urban', 1, 22),
(789, '2207', 'КОЗЈАК', 'urban', 1, 14),
(790, '7310', 'КОЗЈАК', 'urban', 1, 52),
(791, '1302', 'КОИНЦЕ', 'urban', 1, 67),
(792, '1360', 'КОЈКОВО', 'urban', 1, 62),
(793, '1302', 'КОКИНО', 'urban', 1, 67),
(794, '1309', 'КОКОШИЊЕ', 'urban', 1, 64),
(795, '7506', 'КОКРЕ', 'urban', 1, 51),
(796, '6253', 'КОЛАРИ', 'urban', 1, 26),
(797, '2435', 'КОЛЕШИНО', 'urban', 1, 41),
(798, '6257', 'КОЛИБАРИ', 'urban', 1, 26),
(799, '1305', 'КОЛИЦКО', 'urban', 1, 64),
(800, '1047', 'КОЛОНИЈА ИДРИЗОВО', 'urban', 1, 71),
(801, '1060', 'КОНДОВО', 'urban', 1, 78),
(802, '1437', 'КОНОПИШТЕ', 'urban', 1, 4),
(803, '1330', 'КОНОПНИЦА', 'urban', 1, 63),
(804, '1480', 'КОНСКО', 'urban', 1, 38),
(805, '2424', 'КОНЧЕ', 'urban', 1, 40),
(806, '1250', 'КОЊАРИ', 'urban', 1, 23),
(807, '7315', 'КОЊСКО', 'urban', 1, 52),
(808, '6000', 'КОЊСКО', 'urban', 1, 30),
(809, '1360', 'КОЊУХ', 'urban', 1, 62),
(810, '1063', 'КОПАНИЦА', 'urban', 1, 78),
(811, '1215', 'КОПАНЦЕ', 'urban', 1, 58),
(812, '1218', 'КОПАЧИН ДОЛ', 'urban', 1, 57),
(813, '1442', 'КОПРИШНИЦА', 'urban', 1, 3),
(814, '7524', 'КОРЕНИЦА', 'urban', 1, 47),
(815, '1442', 'КОРЕШНИЦА', 'urban', 1, 3),
(816, '1237', 'КОРИТО', 'urban', 1, 56),
(817, '6338', 'КОРОШИШТА', 'urban', 1, 32),
(818, '2304', 'КОСЕВИЦА', 'urban', 1, 16),
(819, '6306', 'КОСЕЛ', 'urban', 1, 30),
(820, '1304', 'КОСМАТАЦ', 'urban', 1, 64),
(821, '6535', 'КОСОВО', 'urban', 1, 28),
(822, '2320', 'КОСОВО ДАБЈЕ', 'urban', 1, 12),
(823, '2300', 'КОСТИН ДОЛ', 'urban', 1, 15),
(824, '2304', 'КОСТИН ДОЛ', 'urban', 1, 16),
(825, '7505', 'КОСТИНЦИ', 'urban', 1, 46),
(826, '1335', 'КОСТУР', 'urban', 1, 63),
(827, '2413', 'КОСТУРИНО', 'urban', 1, 43),
(828, '2300', 'КОЧАНИ', 'urban', 1, 15),
(829, '1406', 'КОЧИЛАРИ', 'urban', 1, 2),
(830, '1258', 'КОЧИШТА', 'urban', 1, 33),
(831, '7240', 'КОЧИШТЕ', 'urban', 1, 45),
(832, '2461', 'КОЧУЛИ', 'urban', 1, 36),
(833, '2420', 'КОЏАЛИЈА', 'urban', 1, 42),
(834, '1258', 'КОЏАЏИК', 'urban', 1, 33),
(835, '1430', 'КОШАНИ', 'urban', 1, 4),
(836, '1330', 'КОШАРИ', 'urban', 1, 63),
(837, '1442', 'КОШАРКА', 'urban', 1, 3),
(838, '2207', 'КОШЕВО', 'urban', 1, 20),
(839, '7537', 'КОШИНО', 'urban', 1, 46),
(840, '7000', 'КРАВАРИ', 'urban', 1, 44),
(841, '1413', 'КРАЈНИЦИ', 'urban', 1, 9),
(842, '1256', 'КРАКОРНИЦА', 'urban', 1, 59),
(843, '7317', 'КРАНИ', 'urban', 1, 52),
(844, '6530', 'КРАПА', 'urban', 1, 28),
(845, '1360', 'КРАТОВО', 'urban', 1, 62),
(846, '7224', 'КРЕМЕНИЦА', 'urban', 1, 44),
(847, '1413', 'КРИВА КРУША', 'urban', 1, 9),
(848, '1330', 'КРИВА ПАЛАНКА', 'urban', 1, 63),
(849, '7320', 'КРИВЕНИ', 'urban', 1, 52),
(850, '2000', 'КРИВИ ДОЛ', 'urban', 1, 20),
(851, '1332', 'КРИВИ КАМЕН', 'urban', 1, 66),
(852, '7524', 'КРИВОГАШТАНИ', 'urban', 1, 47),
(853, '1441', 'КРИВОЛАК', 'urban', 1, 6),
(854, '1250', 'КРИВЦИ', 'urban', 1, 23),
(855, '1360', 'КРИЛАТИЦА', 'urban', 1, 62),
(856, '7241', 'КРКЛИНО', 'urban', 1, 44),
(857, '1335', 'КРКЉА', 'urban', 1, 63),
(858, '1414', 'КРНИНО', 'urban', 1, 9),
(859, '1437', 'КРЊЕВО', 'urban', 1, 4),
(860, '7501', 'КРСТЕЦ', 'urban', 1, 51),
(861, '7221', 'КРСТОАР', 'urban', 1, 44),
(862, '1334', 'КРСТОВ ДОЛ', 'urban', 1, 63),
(863, '2202', 'КРУПИШТЕ', 'urban', 1, 14),
(864, '7524', 'КРУШЕАНИ', 'urban', 1, 47),
(865, '7506', 'КРУШЕВИЦА', 'urban', 1, 51),
(866, '1421', 'КРУШЕВИЦА', 'urban', 1, 7),
(867, '2316', 'КРУШЕВО', 'urban', 1, 11),
(868, '7550', 'КРУШЕВО', 'urban', 1, 48),
(869, '2220', 'КРУШИЦА', 'urban', 1, 8),
(870, '6259', 'КРУШИЦА', 'urban', 1, 22),
(871, '1407', 'КРУШЈЕ', 'urban', 1, 1),
(872, '1060', 'КРУШОПЕК', 'urban', 1, 78),
(873, '1361', 'КУКЛИЦА', 'urban', 1, 62),
(874, '2410', 'КУКЛИШ', 'urban', 1, 43),
(875, '2210', 'КУКОВО', 'urban', 1, 18),
(876, '7241', 'КУКУРЕЧАНИ', 'urban', 1, 44),
(877, '1437', 'КУМАНИЧЕВО', 'urban', 1, 4),
(878, '1300', 'КУМАНОВО', 'urban', 1, 64),
(879, '1407', 'КУМАРИНО', 'urban', 1, 1),
(880, '2210', 'КУНДИНО', 'urban', 1, 18),
(881, '1239', 'КУНОВО', 'urban', 1, 56),
(882, '1360', 'КУНОВО', 'urban', 1, 62),
(883, '6306', 'КУРАТИЦА', 'urban', 1, 30),
(884, '7316', 'КУРБИНОВО', 'urban', 1, 52),
(885, '1420', 'КУРИДЕРЕ', 'urban', 1, 2),
(886, '1440', 'КУРИЈА', 'urban', 1, 6),
(887, '1485', 'КУРТАМЗАЛИ', 'urban', 1, 39),
(888, '2207', 'КУРФАЛИЈА', 'urban', 1, 14),
(889, '7504', 'КУТЛЕШЕВО', 'urban', 1, 46),
(890, '1309', 'КУТЛИБЕГ', 'urban', 1, 64),
(891, '7240', 'КУТРЕТИНО', 'urban', 1, 45),
(892, '1011', 'КУЧЕВИШТЕ', 'urban', 1, 83),
(893, '2207', 'КУЧИЛАТ', 'urban', 1, 14),
(894, '2207', 'КУЧИЦА', 'urban', 1, 14),
(895, '2333', 'КУЧИЧИНО', 'urban', 1, 19),
(896, '1305', 'КУЧКАРЕВО', 'urban', 1, 64),
(897, '1060', 'КУЧКОВО', 'urban', 1, 72),
(898, '2411', 'КУШКУЛИЈА', 'urban', 1, 37),
(899, '1300', 'К`ШАЊЕ', 'urban', 1, 64),
(900, '6336', 'ЛАБУНИШТЕ', 'urban', 1, 32),
(901, '1200', 'ЛАВЦЕ', 'urban', 1, 61),
(902, '7315', 'ЛАВЦИ', 'urban', 1, 52),
(903, '7000', 'ЛАВЦИ', 'urban', 1, 44),
(904, '6261', 'ЛАВЧАНИ', 'urban', 1, 25),
(905, '6000', 'ЛАГАДИН', 'urban', 1, 30),
(906, '7507', 'ЛАЖАНИ', 'urban', 1, 46),
(907, '7223', 'ЛАЖЕЦ', 'urban', 1, 44),
(908, '6262', 'ЛАЗАРОВЦИ', 'urban', 1, 27),
(909, '1250', 'ЛАЗАРОПОЛЕ', 'urban', 1, 59),
(910, '2000', 'ЛАКАВИЦА', 'urban', 1, 20),
(911, '1230', 'ЛАКАВИЦА', 'urban', 1, 56),
(912, '6336', 'ЛАКАИЦА', 'urban', 1, 32),
(913, '2314', 'ЛАКИ', 'urban', 1, 11),
(914, '6346', 'ЛАКТИЊЕ', 'urban', 1, 24),
(915, '1218', 'ЛАРЦЕ', 'urban', 1, 57),
(916, '1063', 'ЛАСКАРЦИ', 'urban', 1, 78),
(917, '6530', 'ЛАТОВО', 'urban', 1, 28),
(918, '7320', 'ЛЕВА РЕКА', 'urban', 1, 52),
(919, '2210', 'ЛЕЗОВО', 'urban', 1, 18),
(920, '7501', 'ЛЕНИШТА', 'urban', 1, 51),
(921, '2333', 'ЛЕПОПЕЛЦИ', 'urban', 1, 19),
(922, '7314', 'ЛЕРА', 'urban', 1, 44),
(923, '2310', 'ЛЕСКИ', 'urban', 1, 11),
(924, '2000', 'ЛЕСКОВИЦА', 'urban', 1, 20),
(925, '7244', 'ЛЕСКОВО', 'urban', 1, 45),
(926, '7318', 'ЛЕСКОЕЦ', 'urban', 1, 52),
(927, '6306', 'ЛЕСКОЕЦ', 'urban', 1, 30),
(928, '2212', 'ЛЕСНОВО', 'urban', 1, 18),
(929, '1044', 'ЛЕТЕВЦИ', 'urban', 1, 77),
(930, '1256', 'ЛЕУНОВО', 'urban', 1, 59),
(931, '6344', 'ЛЕШАНИ', 'urban', 1, 24),
(932, '2300', 'ЛЕШКИ', 'urban', 1, 15),
(933, '1230', 'ЛЕШНИЦА', 'urban', 1, 56),
(934, '6257', 'ЛЕШНИЦА', 'urban', 1, 26),
(935, '1212', 'ЛЕШОК', 'urban', 1, 60),
(936, '6338', 'ЛИВАДА', 'urban', 1, 32),
(937, '6306', 'ЛИВОИШТА', 'urban', 1, 30),
(938, '1440', 'ЛИПА', 'urban', 1, 6),
(939, '2314', 'ЛИПЕЦ', 'urban', 1, 11),
(940, '1307', 'ЛИПКОВО', 'urban', 1, 65),
(941, '2207', 'ЛИПОВ ДОЛ', 'urban', 1, 20),
(942, '1217', 'ЛИСЕЦ', 'urban', 1, 61),
(943, '6539', 'ЛИСИЧАНИ', 'urban', 1, 31),
(944, '1413', 'ЛИСИЧЕ', 'urban', 1, 9),
(945, '7242', 'ЛИСОЛАЈ', 'urban', 1, 44),
(946, '7000', 'ЛОГОВАРДИ', 'urban', 1, 44),
(947, '6334', 'ЛОЖАНИ', 'urban', 1, 32),
(948, '1330', 'ЛОЗАНОВО', 'urban', 1, 63),
(949, '7245', 'ЛОЗНАНИ', 'urban', 1, 49),
(950, '2208', 'ЛОЗОВО', 'urban', 1, 5),
(951, '1324', 'ЛОЈАНЕ', 'urban', 1, 65),
(952, '7524', 'ЛОКВЕНИ', 'urban', 1, 46),
(953, '6530', 'ЛОКВИЦА', 'urban', 1, 28),
(954, '6338', 'ЛОКОВ', 'urban', 1, 32),
(955, '1235', 'ЛОМНИЦА', 'urban', 1, 55),
(956, '1300', 'ЛОПАТЕ', 'urban', 1, 64),
(957, '7242', 'ЛОПАТИЦА', 'urban', 1, 44),
(958, '7514', 'ЛОПАТИЦА', 'urban', 1, 51),
(959, '2424', 'ЛУБНИЦА', 'urban', 1, 40),
(960, '1407', 'ЛУГУНЦИ', 'urban', 1, 1),
(961, '1334', 'ЛУКЕ', 'urban', 1, 63),
(962, '2304', 'ЛУКОВИЦА', 'urban', 1, 16),
(963, '1218', 'ЛУКОВИЦА', 'urban', 1, 57),
(964, '6337', 'ЛУКОВО', 'urban', 1, 32),
(965, '1360', 'ЛУКОВО', 'urban', 1, 62),
(966, '6535', 'ЛУПШТЕ', 'urban', 1, 28),
(967, '6322', 'ЉУБАНИШТА', 'urban', 1, 30),
(968, '1011', 'ЉУБАНЦИ', 'urban', 1, 70),
(969, '1060', 'ЉУБИН', 'urban', 1, 78),
(970, '1316', 'ЉУБИНЦИ', 'urban', 1, 66),
(971, '1300', 'ЉУБОДРАГ', 'urban', 1, 64),
(972, '7318', 'ЉУБОЈНО', 'urban', 1, 52),
(973, '2000', 'ЉУБОТЕН', 'urban', 1, 20),
(974, '1010', 'ЉУБОТЕН', 'urban', 1, 70),
(975, '1256', 'МАВРОВИ АНОВИ', 'urban', 1, 59),
(976, '1256', 'МАВРОВО', 'urban', 1, 59),
(977, '7205', 'МАГАРЕВО', 'urban', 1, 44),
(978, '7501', 'МАЖУЧИШТЕ', 'urban', 1, 51),
(979, '1437', 'МАЈДЕН', 'urban', 1, 4),
(980, '2304', 'МАКЕДОНСКА КАМЕНИЦА', 'urban', 1, 16),
(981, '6530', 'МАКЕДОНСКИ БРОД', 'urban', 1, 28),
(982, '7213', 'МАКОВО', 'urban', 1, 50),
(983, '2220', 'МАКРЕШ', 'urban', 1, 8),
(984, '1314', 'МАКРЕШ', 'urban', 1, 67),
(985, '2207', 'МАЛ ГАБЕР', 'urban', 1, 14),
(986, '1258', 'МАЛ ПАПРАДНИК', 'urban', 1, 33),
(987, '7501', 'МАЛ РАДОБИЛ', 'urban', 1, 51),
(988, '1219', 'МАЛА РЕЧИЦА', 'urban', 1, 61),
(989, '1334', 'МАЛА ЦРЦОРИЈА', 'urban', 1, 63),
(990, '6333', 'МАЛИ ВЛАЈ', 'urban', 1, 32),
(991, '2220', 'МАЛИНО', 'urban', 1, 8),
(992, '6256', 'МАЛКОЕЦ', 'urban', 1, 25),
(993, '7244', 'МАЛО ИЛИНО', 'urban', 1, 45),
(994, '7509', 'МАЛО КОЊАРИ', 'urban', 1, 51),
(995, '7504', 'МАЛО МРАМОРАНИ', 'urban', 1, 46),
(996, '7501', 'МАЛО РУВЦИ', 'urban', 1, 51),
(997, '1230', 'МАЛО ТУРЧАНЕ', 'urban', 1, 56),
(998, '6245', 'МАЛО ЦРСКО', 'urban', 1, 25),
(999, '7314', 'МАЛОВИШТЕ', 'urban', 1, 44),
(1000, '1302', 'МАЛОТИНО', 'urban', 1, 67),
(1001, '1054', 'МАЛЧИШТЕ', 'urban', 1, 80),
(1002, '6262', 'МАМУДОВЦИ', 'urban', 1, 27),
(1003, '1407', 'МАМУТЧЕВО', 'urban', 1, 1),
(1004, '7508', 'МАНАСТИР', 'urban', 1, 51),
(1005, '1422', 'МАНАСТИРЕЦ', 'urban', 1, 7),
(1006, '6258', 'МАНАСТИРСКО ДОЛЕНЦИ', 'urban', 1, 25),
(1007, '2460', 'МАРВИНЦИ', 'urban', 1, 36),
(1008, '7505', 'МАРГАРИ', 'urban', 1, 46),
(1009, '1426', 'МАРЕНА', 'urban', 1, 4),
(1010, '1041', 'МАРИНО', 'urban', 1, 74),
(1011, '1054', 'МАРКОВА СУШИЦА', 'urban', 1, 80),
(1012, '1330', 'МАРТИНИЦА', 'urban', 1, 63),
(1013, '1414', 'МАРТОЛЦИ', 'urban', 1, 9),
(1014, '7514', 'МАРУЛ', 'urban', 1, 51),
(1015, '2210', 'МАРЧИНО', 'urban', 1, 18),
(1016, '1306', 'МАТЕЈЧЕ', 'urban', 1, 65),
(1017, '1060', 'МАТКА', 'urban', 1, 78),
(1018, '2332', 'МАЧЕВО', 'urban', 1, 10),
(1019, '1040', 'МАЏАРИ', 'urban', 1, 71),
(1020, '1302', 'М`ГЛЕНЦЕ', 'urban', 1, 67),
(1021, '7211', 'МЕГЛЕНЦИ', 'urban', 1, 50),
(1022, '1413', 'МЕЛНИЦА', 'urban', 1, 9),
(1023, '2413', 'МЕМЕШЛИ', 'urban', 1, 43),
(1024, '1218', 'МЕРОВО', 'urban', 1, 57);
INSERT INTO `location` (`id`, `zip`, `location`, `area`, `country_id`, `municipality_id`) VALUES
(1025, '1330', 'МЕТЕЖЕВО', 'urban', 1, 63),
(1026, '7202', 'МЕТИМИР', 'urban', 1, 44),
(1027, '2220', 'МЕЧКУЕВЦИ', 'urban', 1, 8),
(1028, '7224', 'МЕЏИТЛИЈА', 'urban', 1, 44),
(1029, '6342', 'МЕШЕИШТА', 'urban', 1, 24),
(1030, '6253', 'МИДИНЦИ', 'urban', 1, 26),
(1031, '1042', 'МИЛАДИНОВЦИ', 'urban', 1, 74),
(1032, '1227', 'МИЛЕТИНО', 'urban', 1, 54),
(1033, '1489', 'МИЛЕТКОВО', 'urban', 1, 38),
(1034, '2208', 'МИЛИНО', 'urban', 1, 5),
(1035, '7524', 'МИЛОШЕВО', 'urban', 1, 48),
(1036, '1332', 'МИЛУТИНЦЕ', 'urban', 1, 66),
(1037, '6259', 'МИОКАЗИ', 'urban', 1, 22),
(1038, '1489', 'МИРАВЦИ', 'urban', 1, 38),
(1039, '1011', 'МИРКОВЦИ', 'urban', 1, 83),
(1040, '7524', 'МИРЧЕ АЦЕВ', 'urban', 1, 47),
(1041, '6330', 'МИСЛЕШЕВО', 'urban', 1, 32),
(1042, '6338', 'МИСЛОДЕЖДА', 'urban', 1, 32),
(1043, '2332', 'МИТРАШИНЦИ', 'urban', 1, 10),
(1044, '1230', 'МИТРОЈ КРСТИ', 'urban', 1, 56),
(1045, '2207', 'МИЧАК', 'urban', 1, 14),
(1046, '1312', 'МЛАДО НАГОРИЧАНЕ', 'urban', 1, 67),
(1047, '7216', 'МОГИЛА', 'urban', 1, 49),
(1048, '6533', 'МОГИЛЕЦ', 'urban', 1, 28),
(1049, '1250', 'МОГОРЧЕ', 'urban', 1, 23),
(1050, '6337', 'МОДРИЧ', 'urban', 1, 32),
(1051, '6533', 'МОДРИШТЕ', 'urban', 1, 28),
(1052, '1333', 'МОЖДИВЊЈАК', 'urban', 1, 63),
(1053, '1480', 'МОИН', 'urban', 1, 38),
(1054, '1045', 'МОЈАНЦИ', 'urban', 1, 69),
(1055, '2307', 'МОЈАНЦИ', 'urban', 1, 15),
(1056, '7215', 'МОЈНО', 'urban', 1, 49),
(1057, '1415', 'МОКРЕНИ', 'urban', 1, 9),
(1058, '2435', 'МОКРИЕВО', 'urban', 1, 41),
(1059, '2435', 'МОКРИНО', 'urban', 1, 41),
(1060, '2432', 'МОНОСПИТОВО', 'urban', 1, 35),
(1061, '1050', 'МОРАНИ', 'urban', 1, 80),
(1062, '2305', 'МОРОДВИС', 'urban', 1, 13),
(1063, '6330', 'МОРОИШТА', 'urban', 1, 32),
(1064, '2304', 'МОШТИЦА', 'urban', 1, 16),
(1065, '1043', 'МРАЛИНО', 'urban', 1, 74),
(1066, '6346', 'МРАМОРЕЦ', 'urban', 1, 24),
(1067, '1437', 'МРЕЖИЧКО', 'urban', 1, 4),
(1068, '7244', 'МРЕНОГА', 'urban', 1, 45),
(1069, '1421', 'МРЗЕН ОРАОВЕЦ', 'urban', 1, 7),
(1070, '1480', 'МРЗЕНЦИ', 'urban', 1, 38),
(1071, '1042', 'МРШЕВЦИ', 'urban', 1, 74),
(1072, '2207', 'МУРАТЛИЈА', 'urban', 1, 14),
(1073, '1304', 'МУРГАШ', 'urban', 1, 64),
(1074, '2432', 'МУРТИНО', 'urban', 1, 43),
(1075, '7215', 'МУСИНЦИ', 'urban', 1, 49),
(1076, '2225', 'МУСТАФИНО', 'urban', 1, 8),
(1077, '1360', 'МУШКОВО', 'urban', 1, 62),
(1078, '7318', 'НАКОЛЕЦ', 'urban', 1, 52),
(1079, '1050', 'НАСЕЛБА ДРАЧЕВО', 'urban', 1, 76),
(1080, '6000', 'НАСЕЛБА ИСТОК', 'urban', 1, 30),
(1081, '2300', 'НЕБОЈАНИ', 'urban', 1, 15),
(1082, '7504', 'НЕБРЕГОВО', 'urban', 1, 46),
(1083, '1483', 'НЕГОРЦИ', 'urban', 1, 38),
(1084, '1440', 'НЕГОТИНО', 'urban', 1, 6),
(1085, '1235', 'НЕГОТИНО - ПОЛОШКО', 'urban', 1, 55),
(1086, '2326', 'НЕГРЕВО', 'urban', 1, 17),
(1087, '2424', 'НЕГРЕНОВЦИ', 'urban', 1, 40),
(1088, '1360', 'НЕЖИЛОВО', 'urban', 1, 62),
(1089, '1415', 'НЕЖИЛОВО', 'urban', 1, 9),
(1090, '2220', 'НЕМАЊИЦА', 'urban', 1, 8),
(1091, '2210', 'НЕОКАЗИ', 'urban', 1, 18),
(1092, '1212', 'НЕПРОШТЕНО', 'urban', 1, 60),
(1093, '1330', 'НЕРАВ', 'urban', 1, 63),
(1094, '1211', 'НЕРАШТЕ', 'urban', 1, 60),
(1095, '6337', 'НЕРЕЗИ', 'urban', 1, 32),
(1096, '2300', 'НИВИЧАНИ', 'urban', 1, 15),
(1097, '2411', 'НИВИЧИНО', 'urban', 1, 37),
(1098, '1256', 'НИВИШТЕ', 'urban', 1, 59),
(1099, '7205', 'НИЖЕПОЛЕ', 'urban', 1, 44),
(1100, '1256', 'НИКИФОРОВО', 'urban', 1, 59),
(1101, '1060', 'НИКИШТАНЕ', 'urban', 1, 72),
(1102, '7501', 'НИКОДИН', 'urban', 1, 51),
(1103, '1485', 'НИКОЛИЌ', 'urban', 1, 39),
(1104, '2207', 'НИКОМАН', 'urban', 1, 20),
(1105, '1303', 'НИКУЉАНЕ', 'urban', 1, 67),
(1106, '1306', 'НИКУШТАК', 'urban', 1, 65),
(1107, '1256', 'НИСТРОВО', 'urban', 1, 59),
(1108, '1256', 'НИЧПУР', 'urban', 1, 59),
(1109, '1485', 'НОВ ДОЈРАН', 'urban', 1, 39),
(1110, '2325', 'НОВ ИСТЕВНИК', 'urban', 1, 12),
(1111, '1054', 'НОВА БРЕЗНИЦА', 'urban', 1, 79),
(1112, '2416', 'НОВА МААЛА', 'urban', 1, 37),
(1113, '2220', 'НОВА МЕЗДРА', 'urban', 1, 8),
(1114, '1258', 'НОВАК', 'urban', 1, 33),
(1115, '1221', 'НОВАЌЕ', 'urban', 1, 53),
(1116, '7211', 'НОВАЦИ', 'urban', 1, 50),
(1117, '1406', 'НОВАЧАНИ', 'urban', 1, 1),
(1118, '7241', 'НОВО ЗМИРНОВО', 'urban', 1, 44),
(1119, '2434', 'НОВО КОЊАРЕВО', 'urban', 1, 41),
(1120, '1480', 'НОВО КОЊСКО', 'urban', 1, 38),
(1121, '7501', 'НОВО ЛАГОВО', 'urban', 1, 51),
(1122, '2333', 'НОВО СЕЛАНИ', 'urban', 1, 19),
(1123, '1413', 'НОВО СЕЛО', 'urban', 1, 9),
(1124, '2000', 'НОВО СЕЛО', 'urban', 1, 20),
(1125, '1300', 'НОВО СЕЛО', 'urban', 1, 64),
(1126, '7213', 'НОВО СЕЛО', 'urban', 1, 50),
(1127, '1060', 'НОВО СЕЛО', 'urban', 1, 72),
(1128, '1218', 'НОВО СЕЛО', 'urban', 1, 57),
(1129, '6344', 'НОВО СЕЛО', 'urban', 1, 24),
(1130, '6330', 'НОВО СЕЛО', 'urban', 1, 32),
(1131, '6254', 'НОВО СЕЛО', 'urban', 1, 29),
(1132, '2420', 'НОВО СЕЛО', 'urban', 1, 42),
(1133, '1230', 'НОВО СЕЛО', 'urban', 1, 59),
(1134, '1214', 'НОВО СЕЛО', 'urban', 1, 53),
(1135, '1053', 'НОВО СЕЛО', 'urban', 1, 73),
(1136, '1407', 'НОВО СЕЛО', 'urban', 1, 1),
(1137, '7240', 'НОВО СЕЛО', 'urban', 1, 45),
(1138, '1234', 'НОВО СЕЛО', 'urban', 1, 55),
(1139, '2300', 'НОВО СЕЛО', 'urban', 1, 15),
(1140, '2434', 'НОВО СЕЛО', 'urban', 1, 41),
(1141, '7245', 'НОВОСЕЛАНИ', 'urban', 1, 49),
(1142, '7504', 'НОВОСЕЛАНИ', 'urban', 1, 46),
(1143, '1304', 'НОВОСЕЉАНЕ', 'urban', 1, 64),
(1144, '1420', 'НОГАЕВЦИ', 'urban', 1, 2),
(1145, '7507', 'НОРОВО', 'urban', 1, 48),
(1146, '7215', 'НОШПАЛ', 'urban', 1, 49),
(1147, '7240', 'ОБЕДНИК', 'urban', 1, 45),
(1148, '1314', 'ОБЛАВЦЕ', 'urban', 1, 67),
(1149, '7241', 'ОБЛАКОВО', 'urban', 1, 44),
(1150, '2301', 'ОБЛЕШЕВО', 'urban', 1, 19),
(1151, '7525', 'ОБРШАНИ', 'urban', 1, 47),
(1152, '1043', 'ОГЊАНЦИ', 'urban', 1, 77),
(1153, '1330', 'ОГУТ', 'urban', 1, 63),
(1154, '1332', 'ОДРЕНО', 'urban', 1, 66),
(1155, '1225', 'ОДРИ', 'urban', 1, 60),
(1156, '6344', 'ОЗДОЛЕНИ', 'urban', 1, 24),
(1157, '1228', 'ОЗОРМИШТЕ', 'urban', 1, 57),
(1158, '6339', 'ОКТИСИ', 'urban', 1, 32),
(1159, '7221', 'ОЛЕВЕНИ', 'urban', 1, 44),
(1160, '1414', 'ОМОРАНИ', 'urban', 1, 9),
(1161, '1300', 'ОПАЕ', 'urban', 1, 65),
(1162, '6306', 'ОПЕНИЦА', 'urban', 1, 30),
(1163, '1316', 'ОПИЛА', 'urban', 1, 66),
(1164, '7000', 'ОПТИЧАРИ', 'urban', 1, 44),
(1165, '1415', 'ОРАОВ ДОЛ', 'urban', 1, 9),
(1166, '1413', 'ОРАОВЕЦ', 'urban', 1, 1),
(1167, '2423', 'ОРАОВИЦА', 'urban', 1, 42),
(1168, '1314', 'ОРАХ', 'urban', 1, 67),
(1169, '1305', 'ОРАШАЦ', 'urban', 1, 64),
(1170, '1225', 'ОРАШЈЕ', 'urban', 1, 58),
(1171, '1485', 'ОРГАНЏАЛИ', 'urban', 1, 39),
(1172, '2220', 'ОРЕЛ', 'urban', 1, 8),
(1173, '6530', 'ОРЕОВЕЦ', 'urban', 1, 28),
(1174, '7501', 'ОРЕОВЕЦ', 'urban', 1, 51),
(1175, '7000', 'ОРЕХОВО', 'urban', 1, 44),
(1176, '1053', 'ОРЕШАНИ', 'urban', 1, 73),
(1177, '1415', 'ОРЕШЕ', 'urban', 1, 9),
(1178, '2302', 'ОРИЗАРИ', 'urban', 1, 15),
(1179, '1307', 'ОРИЗАРИ', 'urban', 1, 65),
(1180, '1060', 'ОРИЗАРИ', 'urban', 1, 72),
(1181, '6259', 'ОРЛАНЦИ', 'urban', 1, 22),
(1182, '1045', 'ОРЛАНЦИ', 'urban', 1, 69),
(1183, '7213', 'ОРЛЕ', 'urban', 1, 50),
(1184, '1060', 'ОРМАН', 'urban', 1, 72),
(1185, '6000', 'ОРМАН', 'urban', 1, 30),
(1186, '2413', 'ОРМАНЛИ', 'urban', 1, 43),
(1187, '6000', 'ОРОВНИК', 'urban', 1, 24),
(1188, '1231', 'ОРЌУШЕ', 'urban', 1, 59),
(1189, '1054', 'ОСИНЧАНИ', 'urban', 1, 80),
(1190, '1330', 'ОСИЧЕ', 'urban', 1, 63),
(1191, '1302', 'ОСИЧЕ', 'urban', 1, 67),
(1192, '6254', 'ОСЛОМЕЈ', 'urban', 1, 29),
(1193, '6260', 'ОСОЈ', 'urban', 1, 27),
(1194, '1250', 'ОСОЈ', 'urban', 1, 23),
(1195, '1258', 'ОСОЛНИЦА', 'urban', 1, 33),
(1196, '7223', 'ОСТРЕЦ', 'urban', 1, 44),
(1197, '7550', 'ОСТРИЛЦИ', 'urban', 1, 48),
(1198, '7319', 'ОТЕШЕВО', 'urban', 1, 52),
(1199, '1250', 'ОТИШАНИ', 'urban', 1, 23),
(1200, '1413', 'ОТИШТИНО', 'urban', 1, 9),
(1201, '1315', 'ОТЉА', 'urban', 1, 65),
(1202, '1406', 'ОТОВИЦА', 'urban', 1, 1),
(1203, '1316', 'ОТОШНИЦА', 'urban', 1, 66),
(1204, '1200', 'ОТУЊЕ', 'urban', 1, 61),
(1205, '6000', 'ОХРИД', 'urban', 1, 30),
(1206, '2320', 'ОЧИПАЛА', 'urban', 1, 12),
(1207, '2207', 'ОЏАЛИЈА', 'urban', 1, 14),
(1208, '1258', 'ОЏОВЦИ', 'urban', 1, 33),
(1209, '2220', 'ПАВЛЕШЕНЦИ', 'urban', 1, 8),
(1210, '1050', 'ПАГАРУША', 'urban', 1, 80),
(1211, '1239', 'ПАДАЛИШТЕ', 'urban', 1, 56),
(1212, '1053', 'ПАКОШЕВО', 'urban', 1, 73),
(1213, '1228', 'ПАЛАТИЦА', 'urban', 1, 57),
(1214, '1050', 'ПАЛИГРАД', 'urban', 1, 73),
(1215, '1422', 'ПАЛИКУРА', 'urban', 1, 7),
(1216, '1063', 'ПАНИЧАРИ', 'urban', 1, 78),
(1217, '2300', 'ПАНТЕЛЕЈ', 'urban', 1, 15),
(1218, '2325', 'ПАНЧАРЕВО', 'urban', 1, 17),
(1219, '2420', 'ПАПАВНИЦА', 'urban', 1, 42),
(1220, '6254', 'ПАПРАДИШТЕ', 'urban', 1, 29),
(1221, '1415', 'ПАПРАДИШТЕ', 'urban', 1, 9),
(1222, '7211', 'ПАРАЛОВО', 'urban', 1, 50),
(1223, '1258', 'ПАРЕШИ', 'urban', 1, 33),
(1224, '2220', 'ПАТЕТИНО', 'urban', 1, 8),
(1225, '6259', 'ПАТЕЦ', 'urban', 1, 22),
(1226, '1054', 'ПАТИШКА РЕКА', 'urban', 1, 79),
(1227, '2300', 'ПАШАЏИКОВО', 'urban', 1, 15),
(1228, '7525', 'ПАШИНО РУВЦИ', 'urban', 1, 47),
(1229, '1309', 'ПЕЗОВО', 'urban', 1, 64),
(1230, '2316', 'ПЕКЉАНИ', 'urban', 1, 11),
(1231, '1302', 'ПЕЛИНЦЕ', 'urban', 1, 67),
(1232, '1361', 'ПЕНДАК', 'urban', 1, 62),
(1233, '2000', 'ПЕНУШ', 'urban', 1, 20),
(1234, '1441', 'ПЕПЕЛИШТЕ', 'urban', 1, 6),
(1235, '6344', 'ПЕСОЧАНИ', 'urban', 1, 24),
(1236, '2210', 'ПЕСТРШИНО', 'urban', 1, 18),
(1237, '7213', 'ПЕТАЛИНО', 'urban', 1, 50),
(1238, '2430', 'ПЕТРАЛИНЦИ', 'urban', 1, 35),
(1239, '1332', 'ПЕТРАЛИЦА', 'urban', 1, 66),
(1240, '7310', 'ПЕТРИНО', 'urban', 1, 52),
(1241, '2210', 'ПЕТРИШИНО', 'urban', 1, 18),
(1242, '1043', 'ПЕТРОВЕЦ', 'urban', 1, 77),
(1243, '1489', 'ПЕТРОВО', 'urban', 1, 38),
(1244, '2326', 'ПЕХЧЕВО', 'urban', 1, 17),
(1245, '1231', 'ПЕЧКОВО', 'urban', 1, 56),
(1246, '2227', 'ПЕШИРОВО', 'urban', 1, 8),
(1247, '7505', 'ПЕШТАЛЕВО', 'urban', 1, 46),
(1248, '7506', 'ПЕШТАНИ', 'urban', 1, 51),
(1249, '6000', 'ПЕШТАНИ', 'urban', 1, 30),
(1250, '1440', 'ПЕШТЕРНИЦА', 'urban', 1, 6),
(1251, '2411', 'ПИПЕРОВО', 'urban', 1, 37),
(1252, '2000', 'ПИПЕРОВО', 'urban', 1, 20),
(1253, '2461', 'ПИРАВА', 'urban', 1, 36),
(1254, '1214', 'ПИРОК', 'urban', 1, 53),
(1255, '6337', 'ПИСКУПШТИНА', 'urban', 1, 32),
(1256, '2210', 'ПИШИЦА', 'urban', 1, 18),
(1257, '1316', 'П`КЛИШТЕ', 'urban', 1, 66),
(1258, '2461', 'ПЛАВУШ', 'urban', 1, 36),
(1259, '6539', 'ПЛАСНИЦА', 'urban', 1, 31),
(1260, '6306', 'ПЛАЌЕ', 'urban', 1, 30),
(1261, '1415', 'ПЛЕВЕЊЕ', 'urban', 1, 9),
(1262, '7501', 'ПЛЕТВАР', 'urban', 1, 51),
(1263, '2210', 'ПЛЕШАНЦИ', 'urban', 1, 18),
(1264, '1011', 'ПОБОЖЈЕ', 'urban', 1, 83),
(1265, '2420', 'ПОГУЛЕВО', 'urban', 1, 42),
(1266, '2423', 'ПОДАРЕШ', 'urban', 1, 42),
(1267, '1215', 'ПОДБРЕГЕ', 'urban', 1, 58),
(1268, '6261', 'ПОДВИС', 'urban', 1, 25),
(1269, '7524', 'ПОДВИС', 'urban', 1, 47),
(1270, '6336', 'ПОДГОРЦИ', 'urban', 1, 32),
(1271, '7245', 'ПОДИНО', 'urban', 1, 49),
(1272, '1420', 'ПОДЛЕС', 'urban', 1, 2),
(1273, '7514', 'ПОДМОЛ', 'urban', 1, 51),
(1274, '6000', 'ПОДМОЛЕ', 'urban', 1, 30),
(1275, '7316', 'ПОДМОЧАНИ', 'urban', 1, 52),
(1276, '1334', 'ПОДРЖИ КОЊ', 'urban', 1, 63),
(1277, '7000', 'ПОЕШЕВО', 'urban', 1, 44),
(1278, '1238', 'ПОЖАРАНЕ', 'urban', 1, 55),
(1279, '2423', 'ПОКРАЈЧЕВО', 'urban', 1, 42),
(1280, '7315', 'ПОКРВЕНИК', 'urban', 1, 52),
(1281, '2300', 'ПОЛАКИ', 'urban', 1, 15),
(1282, '2320', 'ПОЛЕТО', 'urban', 1, 12),
(1283, '7225', 'ПОЛОГ', 'urban', 1, 50),
(1284, '7508', 'ПОЛЧИШТЕ', 'urban', 1, 51),
(1285, '1414', 'ПОМЕНОВО', 'urban', 1, 9),
(1286, '1414', 'ПОПАДИЈА', 'urban', 1, 9),
(1287, '6254', 'ПОПОВЈАНИ', 'urban', 1, 29),
(1288, '6256', 'ПОПОЕЦ', 'urban', 1, 25),
(1289, '6261', 'ПОПОЛЖАНИ', 'urban', 1, 25),
(1290, '2413', 'ПОПЧЕВО', 'urban', 1, 43),
(1291, '7223', 'ПОРОДИН', 'urban', 1, 44),
(1292, '1212', 'ПОРОЈ', 'urban', 1, 61),
(1293, '6338', 'ПОУМ', 'urban', 1, 32),
(1294, '2207', 'ПОЧИВАЛО', 'urban', 1, 20),
(1295, '1430', 'ПРАВЕДНИК', 'urban', 1, 4),
(1296, '1258', 'ПРАЛЕНИК', 'urban', 1, 33),
(1297, '1225', 'ПРВЦЕ', 'urban', 1, 60),
(1298, '1483', 'ПРДЕЈЦИ', 'urban', 1, 38),
(1299, '1408', 'ПРЕВАЛЕЦ', 'urban', 1, 1),
(1300, '6539', 'ПРЕГЛОВО', 'urban', 1, 31),
(1301, '1228', 'ПРЕЉУБИШТЕ', 'urban', 1, 58),
(1302, '7315', 'ПРЕЉУБЈЕ', 'urban', 1, 52),
(1303, '6254', 'ПРЕМКА', 'urban', 1, 29),
(1304, '2220', 'ПРЕОД', 'urban', 1, 8),
(1305, '2300', 'ПРЕСЕКА', 'urban', 1, 15),
(1306, '7525', 'ПРЕСИЛ', 'urban', 1, 48),
(1307, '7316', 'ПРЕТОР', 'urban', 1, 52),
(1308, '1440', 'ПРЖДЕВО', 'urban', 1, 3),
(1309, '2302', 'ПРИБАЧЕВО', 'urban', 1, 15),
(1310, '7240', 'ПРИБИЛЦИ', 'urban', 1, 45),
(1311, '1360', 'ПРИКОВЦИ', 'urban', 1, 62),
(1312, '7501', 'ПРИЛЕП', 'urban', 1, 51),
(1313, '7501', 'ПРИЛЕПЕЦ', 'urban', 1, 51),
(1314, '2207', 'ПРИПЕЧАНИ', 'urban', 1, 14),
(1315, '2300', 'ПРИПОР', 'urban', 1, 15),
(1316, '7501', 'ПРИСАД', 'urban', 1, 51),
(1317, '6338', 'ПРИСОВЈАНИ', 'urban', 1, 32),
(1318, '1254', 'ПРИСОЈНИЦА', 'urban', 1, 59),
(1319, '2420', 'ПРНАЛИЈА', 'urban', 1, 42),
(1320, '2207', 'ПРНАЛИЈА', 'urban', 1, 14),
(1321, '2210', 'ПРОБИШТИП', 'urban', 1, 18),
(1322, '1300', 'ПРОЕВЦЕ', 'urban', 1, 64),
(1323, '2411', 'ПРОСЕНИКОВО', 'urban', 1, 43),
(1324, '6245', 'ПРОСТРАЊЕ', 'urban', 1, 25),
(1325, '2461', 'ПРСТЕН', 'urban', 1, 36),
(1326, '1224', 'ПРШОВЦЕ', 'urban', 1, 60),
(1327, '1332', 'ПСАЧА', 'urban', 1, 66),
(1328, '1303', 'ПУЗАЈКА', 'urban', 1, 67),
(1329, '2210', 'ПУЗДЕРЦИ', 'urban', 1, 18),
(1330, '7550', 'ПУСТА РЕКА', 'urban', 1, 48),
(1331, '7212', 'ПУТУРУС', 'urban', 1, 49),
(1332, '2000', 'ПУХЧЕ', 'urban', 1, 20),
(1333, '1323', 'ПЧИЊА', 'urban', 1, 64),
(1334, '6259', 'РАБЕТИНО', 'urban', 1, 22),
(1335, '2413', 'РАБОРЦИ', 'urban', 1, 43),
(1336, '2460', 'РАБРОВО', 'urban', 1, 36),
(1337, '1231', 'РАВЕН', 'urban', 1, 56),
(1338, '2207', 'РАДАЊЕ', 'urban', 1, 14),
(1339, '1316', 'РАДИБУШ', 'urban', 1, 66),
(1340, '1213', 'РАДИОВЦЕ', 'urban', 1, 54),
(1341, '2412', 'РАДИЧЕВО', 'urban', 1, 37),
(1342, '1010', 'РАДИШАНИ', 'urban', 1, 70),
(1343, '1437', 'РАДЊА', 'urban', 1, 4),
(1344, '7216', 'РАДОБОР', 'urban', 1, 49),
(1345, '2420', 'РАДОВИШ', 'urban', 1, 42),
(1346, '2433', 'РАДОВО', 'urban', 1, 35),
(1347, '7240', 'РАДОВО', 'urban', 1, 45),
(1348, '6333', 'РАДОЖДА', 'urban', 1, 32),
(1349, '6333', 'РАДОЛИШТА', 'urban', 1, 32),
(1350, '1062', 'РАДУША', 'urban', 1, 78),
(1351, '1423', 'РАЕЦ', 'urban', 1, 4),
(1352, '2325', 'РАЗЛОВЦИ', 'urban', 1, 12),
(1353, '7316', 'РАЈЦА', 'urban', 1, 52),
(1354, '2300', 'РАЈЧАНИ', 'urban', 1, 15),
(1355, '1250', 'РАЈЧИЦА', 'urban', 1, 23),
(1356, '2424', 'РАКИТЕЦ', 'urban', 1, 40),
(1357, '7240', 'РАКИТНИЦА', 'urban', 1, 45),
(1358, '7501', 'РАКЛЕ', 'urban', 1, 51),
(1359, '2420', 'РАКЛИШ', 'urban', 1, 42),
(1360, '1413', 'РАКОВЕЦ', 'urban', 1, 9),
(1361, '1220', 'РАКОВЕЦ', 'urban', 1, 53),
(1362, '1054', 'РАКОТИНЦИ', 'urban', 1, 79),
(1363, '7314', 'РАМНА', 'urban', 1, 44),
(1364, '6000', 'РАМНЕ', 'urban', 1, 30),
(1365, '6535', 'РАМНЕ', 'urban', 1, 28),
(1366, '1050', 'РАМНИ ГАБЕР', 'urban', 1, 80),
(1367, '1302', 'РАМНО', 'urban', 1, 67),
(1368, '1316', 'РАНКОВЦЕ', 'urban', 1, 66),
(1369, '2220', 'РАНЧИНЦИ', 'urban', 1, 8),
(1370, '1063', 'РАОВИЌ', 'urban', 1, 78),
(1371, '1215', 'РАОТИНЦЕ', 'urban', 1, 58),
(1372, '7213', 'РАПЕШ', 'urban', 1, 50),
(1373, '6306', 'РАСИНО', 'urban', 1, 30),
(1374, '6535', 'РАСТЕШ', 'urban', 1, 28),
(1375, '7240', 'РАСТОЈЦА', 'urban', 1, 45),
(1376, '2212', 'РАТАВИЦА', 'urban', 1, 18),
(1377, '1228', 'РАТАЕ', 'urban', 1, 58),
(1378, '2330', 'РАТЕВО', 'urban', 1, 10),
(1379, '6000', 'РАЧА', 'urban', 1, 30),
(1380, '1046', 'РАШТАК', 'urban', 1, 71),
(1381, '7241', 'РАШТАНИ', 'urban', 1, 44),
(1382, '1408', 'РАШТАНИ', 'urban', 1, 1),
(1383, '6260', 'РАШТАНИ', 'urban', 1, 27),
(1384, '1060', 'РАШЧЕ', 'urban', 1, 78),
(1385, '1300', 'РЕЖАНОВЦЕ', 'urban', 1, 64),
(1386, '1434', 'РЕСАВА', 'urban', 1, 4),
(1387, '7310', 'РЕСЕН', 'urban', 1, 52),
(1388, '1231', 'РЕЧАНЕ', 'urban', 1, 56),
(1389, '2300', 'РЕЧАНИ', 'urban', 1, 15),
(1390, '6253', 'РЕЧАНИ - ЗАЈАШКО', 'urban', 1, 26),
(1391, '6259', 'РЕЧАНИ - ЧЕЛОПЕЧКО', 'urban', 1, 22),
(1392, '6306', 'РЕЧИЦА', 'urban', 1, 30),
(1393, '1300', 'РЕЧИЦА', 'urban', 1, 64),
(1394, '1043', 'Р`ЖАНИЧИНО', 'urban', 1, 77),
(1395, '6338', 'Р`ЖАНОВО', 'urban', 1, 32),
(1396, '1437', 'РЖАНОВО', 'urban', 1, 4),
(1397, '1422', 'РИБАРЦИ', 'urban', 1, 7),
(1398, '7211', 'РИБАРЦИ', 'urban', 1, 50),
(1399, '1256', 'РИБНИЦА', 'urban', 1, 59),
(1400, '7505', 'РИЛЕВО', 'urban', 1, 46),
(1401, '2413', 'РИЧ', 'urban', 1, 43),
(1402, '1413', 'РЛЕВЦИ', 'urban', 1, 1),
(1403, '1307', 'Р`НКОВЦЕ', 'urban', 1, 65),
(1404, '2432', 'РОБОВО', 'urban', 1, 35),
(1405, '2326', 'РОБОВО', 'urban', 1, 17),
(1406, '1225', 'РОГАЧЕВО', 'urban', 1, 58),
(1407, '1218', 'РОГЛЕ', 'urban', 1, 57),
(1408, '1437', 'РОЖДЕН', 'urban', 1, 4),
(1409, '1322', 'РОМАНОВЦЕ', 'urban', 1, 64),
(1410, '1306', 'РОПАЛЦЕ', 'urban', 1, 65),
(1411, '7537', 'РОПОТОВО', 'urban', 1, 46),
(1412, '1250', 'РОСОКИ', 'urban', 1, 59),
(1413, '1422', 'РОСОМАН', 'urban', 1, 7),
(1414, '1254', 'РОСТУШЕ', 'urban', 1, 59),
(1415, '7313', 'РОТИНО', 'urban', 1, 44),
(1416, '1314', 'РУГИНЦЕ', 'urban', 1, 67),
(1417, '1407', 'РУДНИК', 'urban', 1, 1),
(1418, '1062', 'РУДНИК РАДУША', 'urban', 1, 78),
(1419, '2207', 'РУЉАК', 'urban', 1, 14),
(1420, '1325', 'РУНИЦА', 'urban', 1, 65),
(1421, '2315', 'РУСИНОВО', 'urban', 1, 10),
(1422, '6530', 'РУСЈАЦИ', 'urban', 1, 28),
(1423, '7537', 'САЖДЕВО', 'urban', 1, 48),
(1424, '2434', 'САМОИЛОВО', 'urban', 1, 41),
(1425, '6535', 'САМОКОВ', 'urban', 1, 28),
(1426, '2430', 'САРАЈ', 'urban', 1, 35),
(1427, '1060', 'САРАЈ', 'urban', 1, 78),
(1428, '2227', 'САРАМЗАЛИНО', 'urban', 1, 5),
(1429, '7504', 'САРАНДИНОВО', 'urban', 1, 46),
(1430, '1226', 'САРАЌИНО', 'urban', 1, 61),
(1431, '2420', 'САРИЃОЛ', 'urban', 1, 42),
(1432, '2000', 'САРЧИЕВО', 'urban', 1, 20),
(1433, '2304', 'САСА', 'urban', 1, 16),
(1434, '2400', 'САЧЕВО', 'urban', 1, 43),
(1435, '7240', 'СВЕТА', 'urban', 1, 45),
(1436, '1054', 'СВЕТА ПЕТКА', 'urban', 1, 79),
(1437, '2220', 'СВЕТИ НИКОЛЕ', 'urban', 1, 8),
(1438, '6000', 'СВЕТИ СТЕФАН', 'urban', 1, 30),
(1439, '7524', 'СВЕТО МИТРАНИ', 'urban', 1, 48),
(1440, '7245', 'СВЕТО ТОДОРИ', 'urban', 1, 49),
(1441, '6259', 'СВЕТОРАЧЕ', 'urban', 1, 22),
(1442, '1420', 'СВЕЌАНИ', 'urban', 1, 2),
(1443, '2410', 'СВИДОВИЦА', 'urban', 1, 43),
(1444, '6306', 'СВИНИШТА', 'urban', 1, 30),
(1445, '7313', 'СВИНИШТЕ', 'urban', 1, 44),
(1446, '6255', 'СВИЊИШТЕ', 'urban', 1, 25),
(1447, '1485', 'СЕВЕНДЕКЛИ', 'urban', 1, 39),
(1448, '1218', 'СЕДЛАРЕВО', 'urban', 1, 57),
(1449, '2414', 'СЕДЛАРЦИ', 'urban', 1, 37),
(1450, '7241', 'СЕКИРАНИ', 'urban', 1, 44),
(1451, '2433', 'СЕКИРНИК', 'urban', 1, 35),
(1452, '7505', 'СЕКИРЦИ', 'urban', 1, 46),
(1453, '1360', 'СЕКУЛИЦА', 'urban', 1, 62),
(1454, '1488', 'СЕЛЕМЛИ', 'urban', 1, 34),
(1455, '2320', 'СЕЛНИК', 'urban', 1, 12),
(1456, '1050', 'СЕЛО ДРАЧЕВО', 'urban', 1, 76),
(1457, '1250', 'СЕЛОКУЌИ', 'urban', 1, 23),
(1458, '7507', 'СЕЛЦЕ', 'urban', 1, 48),
(1459, '1250', 'СЕЛЦЕ', 'urban', 1, 59),
(1460, '7501', 'СЕЛЦЕ', 'urban', 1, 51),
(1461, '1200', 'СЕЛЦЕ', 'urban', 1, 61),
(1462, '2000', 'СЕЛЦЕ', 'urban', 1, 20),
(1463, '1214', 'СЕЛЦЕ КЕЧ', 'urban', 1, 53),
(1464, '6337', 'СЕЛЦИ', 'urban', 1, 32),
(1465, '1063', 'СЕМЕНИШТЕ', 'urban', 1, 78),
(1466, '1235', 'СЕНОКОС', 'urban', 1, 55),
(1467, '7504', 'СЕНОКОС', 'urban', 1, 46),
(1468, '1256', 'СЕНЦЕ', 'urban', 1, 59),
(1469, '1483', 'СЕРМЕНИН', 'urban', 1, 38),
(1470, '1200', 'СЕТОЛЕ', 'urban', 1, 61),
(1471, '1230', 'СИМНИЦА', 'urban', 1, 56),
(1472, '1040', 'СИНЃЕЛИЌ', 'urban', 1, 71),
(1473, '1221', 'СИНИЧАНЕ', 'urban', 1, 53),
(1474, '1228', 'СИРИЧИНО', 'urban', 1, 58),
(1475, '1421', 'СИРКОВО', 'urban', 1, 7),
(1476, '6306', 'СИРУЛА', 'urban', 1, 30),
(1477, '7310', 'СИРХАН', 'urban', 1, 52),
(1478, '2000', 'СКАНДАЛЦИ', 'urban', 1, 20),
(1479, '1420', 'СКАЧИНЦИ', 'urban', 1, 2),
(1480, '1305', 'СКАЧКОВЦЕ', 'urban', 1, 64),
(1482, '1000', 'СКОПЈЕ', 'urban', 1, 81),
(1483, '1000', 'СКОПЈЕ - АЕРОДРОМ', 'urban', 1, 68),
(1484, '1000', 'СКОПЈЕ - БУТЕЛ', 'urban', 1, 70),
(1485, '1000', 'СКОПЈЕ - ГАЗИ БАБА', 'urban', 1, 71),
(1486, '1000', 'СКОПЈЕ - ЃОРЧЕ ПЕТРОВ', 'urban', 1, 72),
(1487, '1000', 'СКОПЈЕ - КАРПОШ', 'urban', 1, 75),
(1488, '1000', 'СКОПЈЕ - КИСЕЛА ВОДА', 'urban', 1, 76),
(1489, '1000', 'СКОПЈЕ - САРАЈ', 'urban', 1, 78),
(1490, '1000', 'СКОПЈЕ - ЦЕНТАР', 'urban', 1, 81),
(1491, '1000', 'СКОПЈЕ - ЧАИР', 'urban', 1, 82),
(1492, '1000', 'СКОПЈЕ - ШУТО ОРИЗАРИ', 'urban', 1, 84),
(1493, '2424', 'СКОРУША', 'urban', 1, 40),
(1494, '7225', 'СКОЧИВИР', 'urban', 1, 50),
(1495, '6306', 'СКРЕБАТНО', 'urban', 1, 30),
(1496, '1257', 'СКУДРИЊЕ', 'urban', 1, 59),
(1497, '7509', 'СЛАВЕЈ', 'urban', 1, 47),
(1498, '7240', 'СЛАДУЕВО', 'urban', 1, 45),
(1499, '6530', 'СЛАНСКО', 'urban', 1, 28),
(1500, '6533', 'СЛАТИНА', 'urban', 1, 28),
(1501, '6344', 'СЛАТИНО', 'urban', 1, 24),
(1502, '1224', 'СЛАТИНО', 'urban', 1, 60),
(1503, '6344', 'СЛАТИНСКИ ЧИФЛИГ', 'urban', 1, 24),
(1504, '7240', 'СЛЕПЧЕ', 'urban', 1, 45),
(1505, '7505', 'СЛЕПЧЕ', 'urban', 1, 46),
(1506, '7225', 'СЛИВИЦА', 'urban', 1, 50),
(1507, '7505', 'СЛИВЈЕ', 'urban', 1, 46),
(1508, '1413', 'СЛИВНИК', 'urban', 1, 1),
(1509, '7316', 'СЛИВНИЦА', 'urban', 1, 52),
(1510, '6346', 'СЛИВОВО', 'urban', 1, 24),
(1511, '7244', 'СЛОЕШТИЦА', 'urban', 1, 45),
(1512, '1408', 'С`ЛП', 'urban', 1, 1),
(1513, '1325', 'СЛУПЧАНЕ', 'urban', 1, 65),
(1514, '1053', 'СМЕСНИЦА', 'urban', 1, 73),
(1515, '2423', 'СМИЛАНЦИ', 'urban', 1, 42),
(1516, '7202', 'СМИЛЕВО', 'urban', 1, 45),
(1517, '1414', 'СМИЛОВЦИ', 'urban', 1, 9),
(1518, '1046', 'СМИЉКОВЦИ', 'urban', 1, 71),
(1519, '2330', 'СМОЈМИРОВО', 'urban', 1, 10),
(1520, '1489', 'СМОКВИЦА', 'urban', 1, 38),
(1521, '7501', 'СМОЛАНИ', 'urban', 1, 51),
(1522, '2436', 'СМОЛАРИ', 'urban', 1, 41),
(1523, '7000', 'СНЕГОВО', 'urban', 1, 44),
(1524, '2461', 'СОБРИ', 'urban', 1, 36),
(1525, '7225', 'СОВИЌ', 'urban', 1, 50),
(1526, '1415', 'СОГЛЕ', 'urban', 1, 9),
(1527, '1407', 'СОЈАКЛАРИ', 'urban', 1, 1),
(1528, '2333', 'СОКОЛАРЦИ', 'urban', 1, 19),
(1529, '1054', 'СОПИШТЕ', 'urban', 1, 79),
(1530, '1406', 'СОПОТ', 'urban', 1, 1),
(1531, '1427', 'СОПОТ', 'urban', 1, 4),
(1532, '1308', 'СОПОТ', 'urban', 1, 64),
(1533, '2220', 'СОПОТ', 'urban', 1, 8),
(1534, '7244', 'СОПОТНИЦА', 'urban', 1, 45),
(1535, '7320', 'СОПОТСКО', 'urban', 1, 52),
(1536, '2000', 'СОФИЛАРИ', 'urban', 1, 20),
(1537, '6344', 'СОШАНИ', 'urban', 1, 24),
(1538, '2301', 'СПАНЧЕВО', 'urban', 1, 19),
(1539, '1250', 'СПАС', 'urban', 1, 23),
(1540, '1239', 'СРБИНОВО', 'urban', 1, 56),
(1541, '6254', 'СРБИЦА', 'urban', 1, 29),
(1542, '6258', 'СРБЈАНИ', 'urban', 1, 25),
(1543, '7224', 'СРЕДНО ЕГРИ', 'urban', 1, 44),
(1544, '1043', 'СРЕДНО КОЊАРИ', 'urban', 1, 77),
(1545, '7504', 'СРЕДОРЕК', 'urban', 1, 46),
(1546, '1487', 'СРЕТЕНОВО', 'urban', 1, 39),
(1547, '1230', 'СРЕТКОВО', 'urban', 1, 59),
(1548, '7314', 'СРПЦИ', 'urban', 1, 44),
(1549, '1040', 'СТАЈКОВЦИ', 'urban', 1, 71),
(1550, '2320', 'СТАМЕР', 'urban', 1, 12),
(1551, '2225', 'СТАНУЛОВЦИ', 'urban', 1, 8),
(1552, '1330', 'СТАНЦИ', 'urban', 1, 63),
(1553, '1316', 'СТАНЧА', 'urban', 1, 66),
(1554, '2220', 'СТАЊЕВЦИ', 'urban', 1, 8),
(1555, '1487', 'СТАР ДОЈРАН', 'urban', 1, 39),
(1556, '2325', 'СТАР ИСТЕВНИК', 'urban', 1, 12),
(1557, '2000', 'СТАР КАРАОРМАН', 'urban', 1, 20),
(1558, '2220', 'СТАРА МЕЗДРА', 'urban', 1, 8),
(1559, '7214', 'СТАРАВИНА', 'urban', 1, 50),
(1560, '1414', 'СТАРИ ГРАД', 'urban', 1, 9),
(1561, '2430', 'СТАРО БАЛДОВЦИ', 'urban', 1, 35),
(1562, '7241', 'СТАРО ЗМИРНОВО', 'urban', 1, 44),
(1563, '2436', 'СТАРО КОЊАРЕВО', 'urban', 1, 41),
(1564, '7501', 'СТАРО ЛАГОВО', 'urban', 1, 51),
(1565, '1303', 'СТАРО НАГОРИЧАНЕ', 'urban', 1, 67),
(1566, '6533', 'СТАРО СЕЛО', 'urban', 1, 28),
(1567, '1225', 'СТАРО СЕЛО', 'urban', 1, 58),
(1568, '6258', 'СТАРОЕЦ', 'urban', 1, 22),
(1569, '1237', 'СТЕНЧЕ', 'urban', 1, 54),
(1570, '7315', 'СТЕЊЕ', 'urban', 1, 52),
(1571, '1302', 'СТЕПАНЦЕ', 'urban', 1, 67),
(1572, '1414', 'СТЕПАНЦИ', 'urban', 1, 9),
(1573, '2000', 'СТЕПАНЦИ', 'urban', 1, 20),
(1574, '2434', 'СТИНИК', 'urban', 1, 41),
(1575, '7310', 'СТИПОНА', 'urban', 1, 52),
(1576, '1488', 'СТОЈАКОВО', 'urban', 1, 34),
(1577, '1437', 'СТРАГОВО', 'urban', 1, 4),
(1578, '1325', 'СТРАЖА', 'urban', 1, 65),
(1579, '1239', 'СТРАЈАНЕ', 'urban', 1, 56),
(1580, '1053', 'СТРАХОЈАДИЦА', 'urban', 1, 73),
(1581, '1361', 'СТРАЦИН', 'urban', 1, 62),
(1582, '1040', 'СТРАЧИНЦИ', 'urban', 1, 71),
(1583, '7314', 'СТРЕЖЕВО', 'urban', 1, 44),
(1584, '1304', 'СТРЕЗОВЦЕ', 'urban', 1, 67),
(1585, '6262', 'СТРЕЛЦИ', 'urban', 1, 29),
(1586, '1315', 'СТРИМА', 'urban', 1, 65),
(1587, '1226', 'СТРИМНИЦА', 'urban', 1, 57),
(1588, '2210', 'СТРИСОВЦИ', 'urban', 1, 18),
(1589, '1442', 'СТРМАШЕВО', 'urban', 1, 3),
(1590, '2210', 'СТРМОШ', 'urban', 1, 18),
(1591, '1303', 'СТРНОВАЦ', 'urban', 1, 67),
(1592, '7505', 'СТРОВИЈА', 'urban', 1, 46),
(1593, '2220', 'СТРОИМАНЦИ', 'urban', 1, 8),
(1594, '6330', 'СТРУГА', 'urban', 1, 32),
(1595, '7240', 'СТРУГОВО', 'urban', 1, 45),
(1596, '2400', 'СТРУМИЦА', 'urban', 1, 43),
(1597, '1323', 'СТУДЕНА БАРА', 'urban', 1, 64),
(1598, '1050', 'СТУДЕНИЧАНИ', 'urban', 1, 80),
(1599, '7244', 'СУВО ГРЛО', 'urban', 1, 45),
(1600, '2000', 'СУВО ГРЛО', 'urban', 1, 20),
(1601, '6530', 'СУВОДОЛ', 'urban', 1, 28),
(1602, '7211', 'СУВОДОЛ', 'urban', 1, 50),
(1603, '7240', 'СУВОДОЛ', 'urban', 1, 45),
(1604, '2000', 'СУДИЌ', 'urban', 1, 20),
(1605, '2420', 'СУЛДУРЦИ', 'urban', 1, 42),
(1606, '2420', 'СУПУРГЕ', 'urban', 1, 42),
(1607, '2412', 'СУШЕВО', 'urban', 1, 37),
(1608, '1308', 'СУШЕВО', 'urban', 1, 64),
(1609, '2000', 'СУШЕВО', 'urban', 1, 20),
(1610, '1230', 'СУШИЦА', 'urban', 1, 56),
(1611, '1254', 'СУШИЦА', 'urban', 1, 59),
(1612, '2434', 'СУШИЦА', 'urban', 1, 41),
(1613, '6535', 'СУШИЦА', 'urban', 1, 28),
(1614, '1043', 'СУШИЦА', 'urban', 1, 77),
(1615, '1308', 'ТАБАНОВЦЕ', 'urban', 1, 64),
(1616, '6533', 'ТАЖЕВО', 'urban', 1, 28),
(1617, '6253', 'ТАЈМИШТЕ', 'urban', 1, 26),
(1618, '1360', 'ТАЛАШМАНЦЕ', 'urban', 1, 62),
(1619, '2000', 'ТАНАТАРЦИ', 'urban', 1, 20),
(1620, '1256', 'ТАНУШЕ', 'urban', 1, 59),
(1621, '1011', 'ТАНУШЕВЦИ', 'urban', 1, 83),
(1622, '1053', 'ТАОР', 'urban', 1, 73),
(1623, '2207', 'ТАРИНЦИ', 'urban', 1, 14),
(1624, '1250', 'ТАТАР ЕЛЕВЦИ', 'urban', 1, 23),
(1625, '2460', 'ТАТАРЛИ', 'urban', 1, 36),
(1626, '1360', 'ТАТОМИР', 'urban', 1, 62),
(1627, '6334', 'ТАШМАРУНИШТА', 'urban', 1, 32),
(1628, '1224', 'ТЕАРЦЕ', 'urban', 1, 60),
(1629, '1042', 'ТЕКИЈА', 'urban', 1, 74),
(1630, '1213', 'ТЕНОВО', 'urban', 1, 54),
(1631, '1415', 'ТЕОВО', 'urban', 1, 9),
(1632, '7211', 'ТЕПАВЦИ', 'urban', 1, 50),
(1633, '2301', 'ТЕРАНЦИ', 'urban', 1, 19),
(1634, '2461', 'ТЕРЗЕЛИ', 'urban', 1, 36),
(1635, '2000', 'ТЕСТЕМЕЛЦИ', 'urban', 1, 20),
(1636, '1200', 'ТЕТОВО', 'urban', 1, 61),
(1637, '1000', 'ТЕФЕРИЧ', 'urban', 1, 76),
(1638, '1440', 'ТИМЈАНИК', 'urban', 1, 6),
(1639, '1053', 'ТИСОВИЦА', 'urban', 1, 73),
(1640, '1333', 'Т`ЛМИНЦИ', 'urban', 1, 63),
(1641, '2304', 'ТОДОРОВЦИ', 'urban', 1, 16),
(1642, '6533', 'ТОМИНО СЕЛО', 'urban', 1, 28),
(1643, '2000', 'ТОПЛИК', 'urban', 1, 20),
(1644, '1236', 'ТОПЛИЦА', 'urban', 1, 55),
(1645, '7501', 'ТОПЛИЦА', 'urban', 1, 51),
(1646, '2420', 'ТОПОЛНИЦА', 'urban', 1, 42),
(1647, '6533', 'ТОПОЛНИЦА', 'urban', 1, 28),
(1648, '1360', 'ТОПОЛОВИЌ', 'urban', 1, 62),
(1649, '7512', 'ТОПОЛЧАНИ', 'urban', 1, 51),
(1650, '6338', 'ТОСКА', 'urban', 1, 32),
(1651, '2325', 'ТРАБОТИВИШТЕ', 'urban', 1, 12),
(1652, '7212', 'ТРАП', 'urban', 1, 49),
(1653, '6257', 'ТРАПЧИН ДОЛ', 'urban', 1, 27),
(1654, '6341', 'ТРЕБЕНИШТА', 'urban', 1, 24),
(1655, '6530', 'ТРЕБИНО', 'urban', 1, 28),
(1656, '2414', 'ТРЕБИЧИНО', 'urban', 1, 37),
(1657, '1254', 'ТРЕБИШТЕ', 'urban', 1, 59),
(1658, '6535', 'ТРЕБОВЉЕ', 'urban', 1, 28),
(1659, '1226', 'ТРЕБОШ', 'urban', 1, 57),
(1660, '1440', 'ТРЕМНИК', 'urban', 1, 6),
(1661, '1250', 'ТРЕСОНЧЕ', 'urban', 1, 59),
(1662, '2410', 'ТРИ ВОДИ', 'urban', 1, 43),
(1663, '2000', 'ТРИ ЧЕШМИ', 'urban', 1, 20),
(1664, '2210', 'ТРИПАТАНЦИ', 'urban', 1, 18),
(1665, '2307', 'ТРКАЊЕ', 'urban', 1, 15),
(1666, '7204', 'ТРН', 'urban', 1, 44),
(1667, '1250', 'ТРНАНИЌ', 'urban', 1, 23),
(1668, '1360', 'ТРНОВАЦ', 'urban', 1, 62),
(1669, '1239', 'ТРНОВО', 'urban', 1, 56),
(1670, '1335', 'ТРНОВО', 'urban', 1, 63),
(1671, '7205', 'ТРНОВО', 'urban', 1, 44),
(1672, '7245', 'ТРНОВЦИ', 'urban', 1, 49),
(1673, '7501', 'ТРОЈАЦИ', 'urban', 1, 51),
(1674, '7512', 'ТРОЈКРСТИ', 'urban', 1, 51),
(1675, '1300', 'ТРОМЕЃА', 'urban', 1, 64),
(1676, '2210', 'ТРООЛО', 'urban', 1, 18),
(1677, '6322', 'ТРПЕЈЦА', 'urban', 1, 30),
(1678, '2316', 'ТРСИНО', 'urban', 1, 11),
(1679, '2220', 'ТРСТЕНИК', 'urban', 1, 8),
(1680, '1422', 'ТРСТЕНИК', 'urban', 1, 7),
(1681, '2310', 'ТРСТИЈА', 'urban', 1, 11),
(1682, '1047', 'ТРУБАРЕВО', 'urban', 1, 71),
(1683, '1228', 'ТУДЕНЦЕ', 'urban', 1, 58),
(1684, '6254', 'ТУИН', 'urban', 1, 29),
(1685, '1237', 'ТУМЧЕВИШТЕ', 'urban', 1, 56),
(1686, '1360', 'ТУРАЛЕВО', 'urban', 1, 62),
(1687, '2320', 'ТУРИЈА', 'urban', 1, 12),
(1688, '6346', 'ТУРЈЕ', 'urban', 1, 24),
(1689, '2433', 'ТУРНОВО', 'urban', 1, 35),
(1690, '2212', 'ТУРСКО РУДАРИ', 'urban', 1, 18),
(1691, '1239', 'ЌАФА', 'urban', 1, 56),
(1692, '1043', 'ЌОЈЛИЈА', 'urban', 1, 77),
(1693, '2208', 'ЌОСЕЛАРИ', 'urban', 1, 5),
(1694, '2420', 'ЌОСЕЛИЈА', 'urban', 1, 42),
(1695, '1420', 'УБОГО', 'urban', 1, 2),
(1696, '2464', 'УДОВО', 'urban', 1, 36),
(1697, '1335', 'УЗЕМ', 'urban', 1, 63),
(1698, '1420', 'УЛАНЦИ', 'urban', 1, 2),
(1699, '2333', 'УЛАРЦИ', 'urban', 1, 19),
(1700, '1300', 'УМИН ДОЛ', 'urban', 1, 64),
(1701, '2326', 'УМЛЕНА', 'urban', 1, 17),
(1702, '1054', 'УМОВО', 'urban', 1, 80),
(1703, '1221', 'УРВИЧ', 'urban', 1, 53),
(1704, '1000', 'УСЈЕ', 'urban', 1, 76),
(1705, '7240', 'УТОВО', 'urban', 1, 45),
(1706, '1216', 'ФАЛИШ', 'urban', 1, 61),
(1707, '1423', 'ФАРИШ', 'urban', 1, 4),
(1708, '1360', 'ФИЛИПОВЦИ', 'urban', 1, 62),
(1709, '1237', 'ФОРИНО', 'urban', 1, 56),
(1710, '6333', 'ФРАНГОВО', 'urban', 1, 32),
(1711, '1485', 'ФУРКА', 'urban', 1, 39),
(1712, '1250', 'ХАМЕ', 'urban', 1, 23),
(1713, '2430', 'ХАМЗАЛИ', 'urban', 1, 35),
(1714, '2000', 'ХАЏИ-РЕЏЕПЛИ', 'urban', 1, 20),
(1715, '2000', 'ХАЏИ-СЕЈДЕЛИ', 'urban', 1, 20),
(1716, '2000', 'ХАЏИ-ХАМЗАЛИ', 'urban', 1, 20),
(1717, '2420', 'ХУДАВЕРЛИЈА', 'urban', 1, 42),
(1718, '1480', 'ХУМА', 'urban', 1, 38),
(1719, '7313', 'ЦАПАРИ', 'urban', 1, 44),
(1720, '7315', 'ЦАРЕВ ДВОР', 'urban', 1, 52),
(1721, '7501', 'ЦАРЕВИЌ', 'urban', 1, 51),
(1722, '1302', 'ЦВЕТИШНИЦА', 'urban', 1, 67),
(1723, '1054', 'ЦВЕТОВО', 'urban', 1, 80),
(1724, '1302', 'ЦВИЛАНЦЕ', 'urban', 1, 67),
(1725, '1000', 'ЦЕНТАР', 'urban', 1, 81),
(1726, '1258', 'ЦЕНТАР ЖУПА', 'urban', 1, 33),
(1727, '6245', 'ЦЕР', 'urban', 1, 25),
(1728, '2300', 'ЦЕРА', 'urban', 1, 16),
(1729, '7244', 'ЦЕРОВО', 'urban', 1, 45),
(1730, '1218', 'ЦЕРОВО', 'urban', 1, 57),
(1731, '1230', 'ЦЕРОВО', 'urban', 1, 59),
(1732, '6344', 'ЦРВЕНА ВОДА', 'urban', 1, 24),
(1733, '1050', 'ЦРВЕНА ВОДА', 'urban', 1, 80),
(1734, '2300', 'ЦРВЕНА НИВА', 'urban', 1, 15),
(1735, '1441', 'ЦРВЕНИ БРЕГОВИ', 'urban', 1, 6),
(1736, '6254', 'ЦРВИВЦИ', 'urban', 1, 29),
(1737, '2207', 'ЦРВУЛЕВО', 'urban', 1, 14),
(1738, '1046', 'ЦРЕШЕВО', 'urban', 1, 71),
(1739, '2000', 'ЦРЕШКА', 'urban', 1, 20),
(1740, '1415', 'ЦРЕШНЕВО', 'urban', 1, 9),
(1741, '6533', 'ЦРЕШНЕВО', 'urban', 1, 28),
(1742, '1406', 'ЦРКВИНО', 'urban', 1, 1),
(1743, '1054', 'ЦРН ВРВ', 'urban', 1, 80),
(1744, '2312', 'ЦРН КАМЕН', 'urban', 1, 11),
(1745, '2326', 'ЦРНИК', 'urban', 1, 17),
(1746, '7505', 'ЦРНИЛИШТЕ', 'urban', 1, 46),
(1747, '1485', 'ЦРНИЧАНИ', 'urban', 1, 39),
(1748, '7212', 'ЦРНИЧАНИ', 'urban', 1, 49),
(1749, '1258', 'ЦРНО БOЦИ', 'urban', 1, 33),
(1750, '7241', 'ЦРНОБУКИ', 'urban', 1, 44),
(1751, '7242', 'ЦРНОВЕЦ', 'urban', 1, 44),
(1752, '1010', 'ЧАИР', 'urban', 1, 82),
(1753, '1063', 'ЧАЈЛАНЕ', 'urban', 1, 78),
(1754, '1230', 'ЧАЈЛЕ', 'urban', 1, 56),
(1755, '2461', 'ЧАЛАКЛИ', 'urban', 1, 36),
(1756, '1406', 'ЧАЛОШЕВО', 'urban', 1, 1),
(1757, '2416', 'ЧАНАКЛИЈА', 'urban', 1, 37),
(1758, '7506', 'ЧАНИШТЕ', 'urban', 1, 51),
(1759, '2000', 'ЧАРДАКЛИЈА', 'urban', 1, 20),
(1760, '2460', 'ЧАУШЛИ', 'urban', 1, 39),
(1761, '1413', 'ЧАШКА', 'urban', 1, 9),
(1762, '1237', 'ЧЕГРАНЕ', 'urban', 1, 56),
(1763, '1442', 'ЧЕЛЕВЕЦ', 'urban', 1, 3),
(1764, '1227', 'ЧЕЛОПЕК', 'urban', 1, 54),
(1765, '1303', 'ЧЕЛОПЕК', 'urban', 1, 67),
(1766, '6259', 'ЧЕЛОПЕЦИ', 'urban', 1, 22),
(1767, '1437', 'ЧЕМЕРСКО', 'urban', 1, 4),
(1768, '2410', 'ЧЕПЕЛИ', 'urban', 1, 43),
(1769, '7512', 'ЧЕПИГОВО', 'urban', 1, 51),
(1770, '1300', 'ЧЕРКЕЗИ', 'urban', 1, 64),
(1771, '2460', 'ЧЕСТЕВО', 'urban', 1, 36),
(1772, '1308', 'ЧЕТИРЦЕ', 'urban', 1, 64),
(1773, '2333', 'ЧЕШИНОВО', 'urban', 1, 19),
(1774, '2420', 'ЧЕШМЕ МААЛЕ', 'urban', 1, 42),
(1775, '1218', 'ЧИФЛИК', 'urban', 1, 57),
(1776, '1043', 'ЧИФЛИК', 'urban', 1, 77),
(1777, '2000', 'ЧИФЛИК', 'urban', 1, 20),
(1778, '1442', 'ЧИФЛИК', 'urban', 1, 3),
(1779, '2326', 'ЧИФЛИК', 'urban', 1, 17),
(1780, '1054', 'ЧИФЛИК', 'urban', 1, 79),
(1781, '2320', 'ЧИФЛИК', 'urban', 1, 12),
(1782, '2333', 'ЧИФЛИК', 'urban', 1, 19),
(1783, '7501', 'ЧУМОВО', 'urban', 1, 51),
(1784, '1011', 'ЧУЧЕР - САНДЕВО', 'urban', 1, 83),
(1785, '6338', 'ЏЕПИН', 'urban', 1, 32),
(1786, '1250', 'ЏЕПИШТЕ', 'urban', 1, 23),
(1787, '1212', 'ЏЕПЧИШТЕ', 'urban', 1, 61),
(1788, '1440', 'ЏИДИМИРЦИ', 'urban', 1, 6),
(1789, '1407', 'ЏИДИМИРЦИ', 'urban', 1, 1),
(1790, '1485', 'ЏУМАБОС', 'urban', 1, 39),
(1791, '2420', 'ШАИНТАШ', 'urban', 1, 42),
(1792, '2207', 'ШАШАВАРЛИЈА', 'urban', 1, 20),
(1793, '7512', 'ШЕЛЕВЕРЦИ', 'urban', 1, 51),
(1794, '1228', 'ШЕМШЕВО', 'urban', 1, 58),
(1795, '1440', 'ШЕОБА', 'urban', 1, 6),
(1796, '1423', 'ШЕШКОВО', 'urban', 1, 4),
(1797, '1424', 'ШИВЕЦ', 'urban', 1, 4),
(1798, '2420', 'ШИПКОВИЦА', 'urban', 1, 42),
(1799, '1217', 'ШИПКОВИЦА', 'urban', 1, 61),
(1800, '6000', 'ШИПОКНО', 'urban', 1, 30),
(1801, '1060', 'ШИШЕВО', 'urban', 1, 78),
(1802, '1360', 'ШЛЕГОВО', 'urban', 1, 62),
(1803, '1360', 'ШОПСКО РУДАРЕ', 'urban', 1, 62),
(1804, '2000', 'ШОПУР', 'urban', 1, 20),
(1805, '7501', 'ШТАВИЦА', 'urban', 1, 51),
(1806, '2212', 'ШТАЛКОВИЦА', 'urban', 1, 18),
(1807, '2000', 'ШТИП', 'urban', 1, 20),
(1808, '7318', 'ШТРБОВО', 'urban', 1, 52),
(1809, '2433', 'ШТУКА', 'urban', 1, 35),
(1810, '2420', 'ШТУРОВО', 'urban', 1, 42),
(1811, '1250', 'ШУЛАН', 'urban', 1, 23),
(1812, '6333', 'ШУМ', 'urban', 1, 32),
(1813, '1300', 'ШУПЉИ КАМЕН', 'urban', 1, 64),
(1814, '7310', 'ШУРЛЕНЦИ', 'urban', 1, 52),
(1815, '1010', 'ШУТО ОРИЗАРИ', 'urban', 1, 84),
(1816, '6259', 'ШУТОВО', 'urban', 1, 29);

-- --------------------------------------------------------

--
-- Table structure for table `municipality`
--

CREATE TABLE IF NOT EXISTS `municipality` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `municipality` varchar(255) NOT NULL,
  `region_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_municipality_region1_idx` (`region_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=88 ;

--
-- Dumping data for table `municipality`
--

INSERT INTO `municipality` (`id`, `municipality`, `region_id`) VALUES
(1, 'ВЕЛЕС', 1),
(2, 'ГРАДСКО', 1),
(3, 'ДЕМИР КАПИЈА', 1),
(4, 'КАВАДАРЦИ', 1),
(5, 'ЛОЗОВО', 1),
(6, 'НЕГОТИНО', 1),
(7, 'РОСОМАН', 1),
(8, 'СВЕТИ НИКОЛЕ', 1),
(9, 'ЧАШКА', 1),
(10, 'БЕРОВО', 2),
(11, 'ВИНИЦА', 2),
(12, 'ДЕЛЧЕВО', 2),
(13, 'ЗРНОВЦИ', 2),
(14, 'КАРБИНЦИ', 2),
(15, 'КОЧАНИ', 2),
(16, 'МАКЕДОНСКА КАМЕНИЦА', 2),
(17, 'ПЕХЧЕВО', 2),
(18, 'ПРОБИШТИП', 2),
(19, 'ЧЕШИНОВО-ОБЛЕШЕВО', 2),
(20, 'ШТИП', 2),
(21, 'ВЕВЧАНИ', 3),
(22, 'ВРАНЕШНИЦА', 3),
(23, 'ДЕБАР', 3),
(24, 'ДЕБАРЦА', 3),
(25, 'ДРУГОВО', 3),
(26, 'ЗАЈАС', 3),
(27, 'КИЧЕВО', 3),
(28, 'МАКЕДОНСКИ БРОД', 3),
(29, 'ОСЛОМЕЈ', 3),
(30, 'ОХРИД', 3),
(31, 'ПЛАСНИЦА', 3),
(32, 'СТРУГА', 3),
(33, 'ЦЕНТАР ЖУПА', 3),
(34, 'БОГДАНЦИ', 4),
(35, 'БОСИЛОВО', 4),
(36, 'ВАЛАНДОВО', 4),
(37, 'ВАСИЛЕВО', 4),
(38, 'ГЕВГЕЛИЈА', 4),
(39, 'ДОЈРАН', 4),
(40, 'КОНЧЕ', 4),
(41, 'НОВО СЕЛО', 4),
(42, 'РАДОВИШ', 4),
(43, 'СТРУМИЦА', 4),
(44, 'БИТОЛА', 5),
(45, 'ДЕМИР ХИСАР', 5),
(46, 'ДОЛНЕНИ', 5),
(47, 'КРИВОГАШТАНИ', 5),
(48, 'КРУШЕВО', 5),
(49, 'МОГИЛА', 5),
(50, 'НОВАЦИ', 5),
(51, 'ПРИЛЕП', 5),
(52, 'РЕСЕН', 5),
(53, 'БОГОВИЊЕ', 6),
(54, 'БРВЕНИЦА', 6),
(55, 'ВРАПЧИШТЕ', 6),
(56, 'ГОСТИВАР', 6),
(57, 'ЖЕЛИНО', 6),
(58, 'ЈЕГУНОВЦЕ', 6),
(59, 'МАВРОВО И РОСТУША', 6),
(60, 'ТЕАРЦЕ', 6),
(61, 'ТЕТОВО', 6),
(62, 'КРАТОВО', 7),
(63, 'КРИВА ПАЛАНКА', 7),
(64, 'КУМАНОВО', 7),
(65, 'ЛИПКОВО', 7),
(66, 'РАНКОВЦЕ', 7),
(67, 'СТАРО НАГОРИЧАНЕ', 7),
(68, 'АЕРОДРОМ', 8),
(69, 'АРАЧИНОВО', 8),
(70, 'БУТЕЛ', 8),
(71, 'ГАЗИ БАБА', 8),
(72, 'ЃОРЧЕ ПЕТРОВ', 8),
(73, 'ЗЕЛЕНИКОВО', 8),
(74, 'ИЛИНДЕН', 8),
(75, 'КАРПОШ', 8),
(76, 'КИСЕЛА ВОДА', 8),
(77, 'ПЕТРОВЕЦ', 8),
(78, 'САРАЈ', 8),
(79, 'СОПИШТЕ', 8),
(80, 'СТУДЕНИЧАНИ', 8),
(81, 'ЦЕНТАР', 8),
(82, 'ЧАИР', 8),
(83, 'ЧУЧЕР-САНДЕВО', 8),
(84, 'ШУТО ОРИЗАРИ', 8);

-- --------------------------------------------------------

--
-- Table structure for table `notification`
--

CREATE TABLE IF NOT EXISTS `notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `surveys_id` int(11) NOT NULL,
  `notify` datetime NOT NULL COMMENT 'When is the even scheduled to happen',
  `note` text,
  PRIMARY KEY (`id`),
  KEY `fk_notification_surveys1_idx` (`surveys_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `page`
--

CREATE TABLE IF NOT EXISTS `page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_id` int(11) NOT NULL,
  `position` smallint(6) NOT NULL COMMENT 'Page order in the Survey',
  `name` varchar(250) DEFAULT NULL,
  `instructions1` text NOT NULL COMMENT 'Instructions for the interviewer',
  `instructions2` text,
  `instructions3` text,
  PRIMARY KEY (`id`),
  KEY `fk_page_survey1_idx` (`survey_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=59 ;

-- --------------------------------------------------------

--
-- Table structure for table `question`
--

CREATE TABLE IF NOT EXISTS `question` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_id` int(11) NOT NULL,
  `item_id` int(11) DEFAULT NULL,
  `grid_id` int(11) DEFAULT NULL,
  `position` smallint(5) unsigned DEFAULT NULL COMMENT 'Question position, used in csv export coding',
  `question1` text NOT NULL,
  `question2` text,
  `question3` text,
  `media` varchar(45) DEFAULT NULL COMMENT 'image/video',
  `class` enum('M','Q','D') NOT NULL DEFAULT 'Q' COMMENT 'Question Class:\nM - Management\nQ - Question\nD - Demography',
  `type` enum('single-select','single-inline','single-dropdown','multi-select','multi-inline','text') NOT NULL COMMENT 'BASIC TYPES:\nsingle-select - multiple choice, single select with radio button\nsingle-inline - multiple choice, single select with radio button, inline\nsingle-dropdown - multiple choice, single select from drop-down menu\nmultiple-select - multiple choice, multiple select with check-boxes\nmultiple-inline - multiple choice, multiple select with check-boxes, inline\ntext - text input (goes directly to answer table) NOTE: ''other''  not allowed\n\nGRID/GROUP:\nsingle-select\nmultiple\ntext\n\nAUTO POPULATE / GROUP:\nyesno - auto-populated single-select\nrank5 - predefined single-select GRID (group) of 5 choices\nrank7 - predefined single-select GRID (group) of 7 choices\n\n\nENUM(''text'', ''yesno'', ''single'', ''multi'', ''rank'')\nENUM(''single-select'',''single-dropdown'',''multiple'',''text'')\n',
  `min_answers` smallint(6) DEFAULT NULL COMMENT 'if type=multi',
  `max_answers` smallint(6) DEFAULT NULL COMMENT 'if type=multi',
  `other` smallint(6) DEFAULT '0' COMMENT 'Allow agent to add choice (text input) aka "other" field. \n0=no\n1=number(of fields, NOTE: only for question.type=single)\n1+N=number (of fields, NOTE: only for question.type=multi)',
  `other_show` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'List "other" choices in the question?\nuse choices.other boolean to show/hide',
  `refuse` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Add "Refuse to answer" choice at position (code) 98',
  `dkna` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Add "Don''t Know / No Answer" choice at position(code) 99',
  `randomize` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Display choices in random order',
  `mandatory` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Is this question mandatory?\nIf not mandatory, show "Skip" button to Agent',
  `gender` enum('male','female','any') NOT NULL DEFAULT 'any' COMMENT 'Limit question to specific gender',
  `age_from` smallint(5) unsigned DEFAULT NULL COMMENT 'Limit question from specific age',
  `age_to` smallint(5) unsigned DEFAULT NULL COMMENT 'Limit question to specific age',
  `comments` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Allow interviewed party to leave comments (comment field in answers table)',
  `label` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_question_grid1_idx` (`grid_id`),
  KEY `fk_question_item1_idx` (`item_id`),
  KEY `fk_question_survey1_idx` (`survey_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=251 ;

-- --------------------------------------------------------

--
-- Table structure for table `quota`
--

CREATE TABLE IF NOT EXISTS `quota` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_id` int(11) NOT NULL,
  `quota` int(11) NOT NULL COMMENT 'Number of filter matches',
  `count` int(11) NOT NULL DEFAULT '0' COMMENT 'Current quota count',
  `close` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Close Survey if quota is reached?',
  `notify` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Send global notification (to all users) that quota is reached',
  PRIMARY KEY (`id`),
  KEY `fk_quota_survey1_idx` (`survey_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `region`
--

CREATE TABLE IF NOT EXISTS `region` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `region` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `region`
--

INSERT INTO `region` (`id`, `region`) VALUES
(1, 'Вардарски'),
(2, 'Источен'),
(3, 'Југозападен'),
(4, 'Југоисточен'),
(5, 'Пелагониски'),
(6, 'Полошки'),
(7, 'Североисточен'),
(8, 'Скопски');

-- --------------------------------------------------------

--
-- Table structure for table `reminder`
--

CREATE TABLE IF NOT EXISTS `reminder` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `remind` datetime NOT NULL COMMENT 'We can use input box with "minutes, hours, weeks, months'' in drop-down menu to easy select (calculate) when the reminder will occur',
  `type` enum('e-mail','pop-up') NOT NULL DEFAULT 'pop-up',
  `seen` tinyint(1) DEFAULT '0' COMMENT 'Has the user seen the reminder (pop-up only)',
  `acknowledged` tinyint(1) DEFAULT '0' COMMENT 'Has the user acknowledged the reminder?',
  `notification_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_reminder_notification1_idx` (`notification_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `role`
--

CREATE TABLE IF NOT EXISTS `role` (
  `user_id` int(11) NOT NULL,
  `survey_id` int(11) NOT NULL,
  `role` enum('create','translate','agent','report','dashboard','export') NOT NULL COMMENT 'Per-Survey Roles:\n    - Exporot: Export survey in CSV\n    - Report: View survey answers\n    - Create: Create & Edit Pages, Questions, Grids, etc.\n    - Translate: Limit editing top translatable fields in alternate languages\n    - Agent: Run survey\n    - Dashboard: View survey progress and statistics\n    + Superuser: FULL ACCESS\nENUM(''create'', ''translate'', ''agent'', ''report'', ''dashboard'', ''export'')',
  KEY `fk_role_survey1_idx` (`survey_id`),
  KEY `fk_role_user1_idx` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `skip`
--

CREATE TABLE IF NOT EXISTS `skip` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `goto_page_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_skip_page1_idx` (`page_id`),
  KEY `fk_skip_page2_idx` (`goto_page_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `survey`
--

CREATE TABLE IF NOT EXISTS `survey` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey` varchar(255) NOT NULL,
  `instructions1` text COMMENT 'Instructions for the interviewer',
  `instructions2` text,
  `instructions3` text,
  `intro_message1` text COMMENT 'Introduction message, to be read to the interviewed party',
  `intro_message2` text,
  `intro_message3` text,
  `outro_message1` text COMMENT 'Outro message, to be read to the interviewed party at the end of the interwiev',
  `outro_message2` text,
  `outro_message3` text,
  `quota` int(11) DEFAULT NULL COMMENT 'Number of surveys\nONLY SUCCESSFUL',
  `quota_close` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Close the survey after quota is reached\nNOTE: "quota_close" cannot be true if "quota" is null',
  `anonymous` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Should we collect contact data or not?',
  `revisit` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Allow Agent to change the answers (Back button)\nNOTE: GoBack button should be aware of the question "rules" and clean the "answers" for answered question(s)',
  `reschedule` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Allow survey to be re-scheduled',
  `reassign` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Allow re-scheduled survey to be reassigned to another Agent',
  `retry` smallint(5) unsigned DEFAULT '3' COMMENT 'Number of times a survey can be re-scheduled\nNOTE: Use "null" for unlimited, and "0" for no retires allowed!',
  `web` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Publish the Survey on the web',
  `gender` enum('male','female','any') NOT NULL DEFAULT 'any' COMMENT 'Limit survey to specific gender',
  `age_from` smallint(6) DEFAULT NULL COMMENT 'Limit survey from specific age',
  `age_to` smallint(6) DEFAULT NULL COMMENT 'Limit survey to specific age',
  `age_ask` enum('before','after','both') NOT NULL DEFAULT 'after' COMMENT 'When should the Agent ask the interviewed party for his/her age?',
  `starts` datetime DEFAULT NULL COMMENT 'Agents cannot run surveys before "starts" DateTime',
  `expires` datetime DEFAULT NULL COMMENT 'Agents cannot run surveys after "expires" DateTime',
  `language1` int(11) NOT NULL,
  `language2` int(11) DEFAULT NULL,
  `language3` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_survey_language1_idx` (`language1`),
  KEY `fk_survey_language2_idx` (`language2`),
  KEY `fk_survey_language3_idx` (`language3`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

-- --------------------------------------------------------

--
-- Table structure for table `surveys`
--

CREATE TABLE IF NOT EXISTS `surveys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `survey_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `contact_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `initiated` datetime DEFAULT NULL,
  `started` datetime DEFAULT NULL,
  `ended` datetime DEFAULT NULL,
  `demo` tinyint(1) DEFAULT '0' COMMENT 'if true, then results are not real (for demo/testing purposes)',
  `retry_count` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'How many retries to conduct the survey',
  `note` text COMMENT 'agent comments/notes',
  `denied_id` int(11) DEFAULT NULL,
  `gender` enum('male','female') DEFAULT NULL,
  `age` smallint(6) DEFAULT NULL COMMENT 'if birthday is give, age can be automatically calculated',
  `m1` varchar(15) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_surveys_language1_idx` (`language_id`),
  KEY `fk_surveys_denied1_idx` (`denied_id`),
  KEY `fk_surveys_user1_idx` (`user_id`),
  KEY `fk_surveys_contact1_idx` (`contact_id`),
  KEY `fk_surveys_survey1_idx` (`survey_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=124 ;

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(45) NOT NULL,
  `password` varchar(128) NOT NULL,
  `email` varchar(75) NOT NULL,
  `first_name` varchar(45) DEFAULT NULL,
  `last_name` varchar(45) DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `date_joined` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Is user active (allowed to login)?',
  `superuser` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'A Superuser has full (unrestricted) access!',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username_UNIQUE` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`id`, `username`, `password`, `email`, `first_name`, `last_name`, `last_login`, `date_joined`, `active`, `superuser`) VALUES
(2, 'metodi', 'mmm', 'metodi25@hotmail.com', 'Metodi', 'Vangelov', NULL, '0000-00-00 00:00:00', 1, 1),
(4, 'fbsdmon', 'changeme', 'perica@xtelecom.mk', 'Perica', 'Veljanovski', NULL, '2015-06-22 21:57:26', 1, 1),
(5, 'test', 'test', '', NULL, NULL, NULL, '0000-00-00 00:00:00', 1, 0),
(6, 'ataneski', 'test123', 'ataneskI@gmail.com', 'Aleksandar', 'Taneski', NULL, '2015-10-21 11:55:56', 1, 0),
(7, 'igligoroska', 'igtim2015', 'irena.gligoroska@yahoo.com', 'Ирена', 'Глигороска', NULL, '2015-11-03 19:09:53', 1, 0),
(8, 'axhaferi', 'axtim2015', 'almedina.xhaferi@gmail.com', 'Алмедина', 'Џафери', NULL, '2015-11-03 19:12:10', 1, 0),
(9, 'lspirovska', 'lstim2015', 'office@timinstitut.eu.mk', 'Lidija', 'Spirovska', NULL, '2015-11-03 19:12:48', 1, 0),
(10, 'vsiljanovska', 'vstim2015', 'vesnaoh@gmail.com', 'Vesna', 'Siljanovska', NULL, '2015-11-03 19:14:20', 1, 0),
(11, 'vatanasova', 'vatim2015', 'office@timinstitut.eu.mk', 'Вера', 'Атанасова', NULL, '2015-11-03 19:15:00', 1, 0),
(12, 'vtodorovik', 'vttim2015', 'vesna_tt@hotmail.com', 'Весна', 'Тодоровиќ', NULL, '2015-11-03 19:16:46', 1, 0),
(13, 'inakaseva', 'intim2015', 'irenanakaseva39@gmail.com', 'Ирена', 'Накашева', NULL, '2015-11-03 19:18:26', 1, 0),
(14, 'kstefanoska', 'kstim2015', 'katerina_stefanoska@gmail.com', 'Катерина ', 'Стефаноска', NULL, '2015-11-03 19:20:07', 1, 0),
(15, 'lardzanovska', 'latim2015', 'lenceardzanovska@gmail.com', 'Ленче', 'Арџановска', NULL, '2015-11-03 19:20:56', 1, 0),
(16, 'ejanceva', 'ejtim2015', 'evgenijajanceva@gmail.com', 'Евгенија', 'Јанчева', NULL, '2015-11-03 19:22:25', 1, 0),
(17, 'satanasovska', 'satim2015', 'office@timinstitut.eu.mk', 'Слаѓана', 'Атанасовска', NULL, '2015-11-03 19:23:36', 1, 0);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `answers`
--
ALTER TABLE `answers`
  ADD CONSTRAINT `fk_answers_choice1` FOREIGN KEY (`choice_id`) REFERENCES `choice` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_answers_question1` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_answers_surveys1` FOREIGN KEY (`surveys_id`) REFERENCES `surveys` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `choice`
--
ALTER TABLE `choice`
  ADD CONSTRAINT `fk_choice_question1` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `condition`
--
ALTER TABLE `condition`
  ADD CONSTRAINT `fk_condition_filter1` FOREIGN KEY (`filter_id`) REFERENCES `filter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_filters_country1` FOREIGN KEY (`country_id`) REFERENCES `country` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_filters_language1` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_filters_municipality1` FOREIGN KEY (`municipality_id`) REFERENCES `municipality` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_filters_region1` FOREIGN KEY (`region_id`) REFERENCES `region` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_skip_rule_choice1` FOREIGN KEY (`choice_id`) REFERENCES `choice` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_skip_rule_question1` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `contact`
--
ALTER TABLE `contact`
  ADD CONSTRAINT `fk_contact_location1` FOREIGN KEY (`location_id`) REFERENCES `location` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `denied`
--
ALTER TABLE `denied`
  ADD CONSTRAINT `fk_denied_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `filter`
--
ALTER TABLE `filter`
  ADD CONSTRAINT `fk_filter_filter1` FOREIGN KEY (`parent`) REFERENCES `filter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_filter_hide1` FOREIGN KEY (`hide_id`) REFERENCES `hide` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_filter_quota1` FOREIGN KEY (`quota_id`) REFERENCES `quota` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_filter_skip1` FOREIGN KEY (`skip_id`) REFERENCES `skip` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `grid`
--
ALTER TABLE `grid`
  ADD CONSTRAINT `fk_grid_item1` FOREIGN KEY (`item_id`) REFERENCES `item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `hide`
--
ALTER TABLE `hide`
  ADD CONSTRAINT `fk_hide_choice1` FOREIGN KEY (`choice_id`) REFERENCES `choice` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `item`
--
ALTER TABLE `item`
  ADD CONSTRAINT `fk_item_page1` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `location`
--
ALTER TABLE `location`
  ADD CONSTRAINT `fk_location_municipality1` FOREIGN KEY (`municipality_id`) REFERENCES `municipality` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_location_country1` FOREIGN KEY (`country_id`) REFERENCES `country` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `municipality`
--
ALTER TABLE `municipality`
  ADD CONSTRAINT `fk_municipality_region1` FOREIGN KEY (`region_id`) REFERENCES `region` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `notification`
--
ALTER TABLE `notification`
  ADD CONSTRAINT `fk_notification_surveys1` FOREIGN KEY (`surveys_id`) REFERENCES `surveys` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `page`
--
ALTER TABLE `page`
  ADD CONSTRAINT `fk_page_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `question`
--
ALTER TABLE `question`
  ADD CONSTRAINT `fk_question_grid1` FOREIGN KEY (`grid_id`) REFERENCES `grid` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_question_item1` FOREIGN KEY (`item_id`) REFERENCES `item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_question_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `quota`
--
ALTER TABLE `quota`
  ADD CONSTRAINT `fk_quota_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `reminder`
--
ALTER TABLE `reminder`
  ADD CONSTRAINT `fk_reminder_notification1` FOREIGN KEY (`notification_id`) REFERENCES `notification` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `role`
--
ALTER TABLE `role`
  ADD CONSTRAINT `fk_role_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_role_user1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `skip`
--
ALTER TABLE `skip`
  ADD CONSTRAINT `fk_skip_page1` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_skip_page2` FOREIGN KEY (`goto_page_id`) REFERENCES `page` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `survey`
--
ALTER TABLE `survey`
  ADD CONSTRAINT `fk_survey_language3` FOREIGN KEY (`language3`) REFERENCES `language` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_survey_language1` FOREIGN KEY (`language1`) REFERENCES `language` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_survey_language2` FOREIGN KEY (`language2`) REFERENCES `language` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `surveys`
--
ALTER TABLE `surveys`
  ADD CONSTRAINT `fk_surveys_contact1` FOREIGN KEY (`contact_id`) REFERENCES `contact` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_surveys_denied1` FOREIGN KEY (`denied_id`) REFERENCES `denied` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_surveys_language1` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_surveys_survey1` FOREIGN KEY (`survey_id`) REFERENCES `survey` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_surveys_user1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
